Help for all Synthesoft Products

  • Synthesoft Information (All Products)

    • The Synthesoft Product Line

    • Installation and Removal of Synthesoft Products

    • License Agreement

    • Technical Support

    • Frequently Asked Questions

  • Registration and Purchase Information

    • Why purchase a registration? What will I get?

    • License Types and costs

    • Order Form

    • Payment Options

    • Site Licenses

    • What is Shareware?

  • Technical Support

  • The Psychedelic Screen Saver

  • The Kinemorphic 3D Screen Saver

  • The Hypnogenic Screen Saver

  • CD/Spectrum Pro


Help for all Synthesoft Products

Synthesoft Information

  • The Synthesoft Product Line

  • Installation and Removal of Synthesoft Products

  • License Agreement

  • Technical Support

  • Frequently Asked Questions


Synthesoft Product Line

The Synthesoft Product Line

Each of the screen savers were designed to work together with CD/Spectrum Pro to provide stunning visuals that synchronize with the beat of the music. Further, there is a "Visuals" window in CD/Spectrum Pro which can host each of the screen savers for a smaller faster version of the graphics.

The Psychedelic Screen Saver is a light synthesizer that generates an astounding variety of mesmerizing mathematical patterns. As the patterns materialize on your screen, the colors will shift, undulate, and blow your mind. Whether you're into abstract art, mathematics, or just have a history of mental illness, you'll love this screen saver.

The Kinemorphic 3D Screen Saver will animate an endless variety of spectacular 3D patterns and images. As the 3D patterns animate on your screen, the objects, images, lighting, and colors will move through, around, and on top of each other. Kinemorphics has been designed to give you an unprecedented amount of control over the effects used. You can use your own graphical images as object textures and backgrounds while Kinemorphics generates extraordinarily realistic lighting effects on top of stunning, living 3D objects.

The Hypnogenic Screen Saver generates a dazzling array of kaleidoscopic patterns. As the patterns evolve on your screen the shapes and colors will blur and morph hypnotically. The user can customize the animations through a sophisticated interface that allows complete control over virtually every aspect of the image creation process.

CD/Spectrum Pro is a full 32bit CD-Audio Player with Graphical Spectrum Analyzer for Windows 95 and Windows NT 4.0. No other software package has all the features of CD/Spectrum Pro - from the spectrum analyzer, to the CDDB internet database access, to the MP3 and WAV player, to the mixer module, to the visuals hosting window, to the full-featured CD player module, and the list goes on. In spite of its tremendous list of features, CD/Spectrum Pro is easy to use because of its intuitive user interface.


Installation/Removal of Synthesoft Products

Installation and Removal of Synthesoft Products

Installation:
 Installation of Synthesoft Products is fairly simple - just visit the download section of the Synthesoft web site at:

http://www.synthesoft.com/download.htm

There, you will find self-installing executables that handle everything for you.

Removal:
Removal of Synthesoft programs is just as easy - we provide standard uninstall routines, accessible from Control Panel’s “Add/Remove Programs” applet. Also, the screen savers can be removed by running the “uninstall.exe” file found in the directory in which you installed the saver. And, CD/Spectrum Pro has a menu option in the Start menu for uninstalling it.


License Agreement

The Psychedelic Screen Saver
Copyright (C) 1995-2000 / Mike Irvine - All Rights Reserved

The Kinemorphic 3D Screen Saver
Copyright (C) 1997-2000 / David Wooden & Mike Irvine - All Rights Reserved

The Hypnogenic Screen Saver
Copyright (C) 1999-2000 / Mike Irvine - All Rights Reserved

CD Spectrum Pro
Copyright (C) 1995-2000 / John Hornick - All Rights Reserved

Users of 'The Psychedelic Screen Saver', ‘The Kinemorphic 3D Screen Saver’, 'The Hypnogenic Screen Saver’, and/or 'CD Spectrum Pro' must accept this disclaimer of warranty: 'The Psychedelic Screen Saver', ‘The Kinemorphic 3D Screen Saver’, 'The Hypnogenic Screen Saver', and 'CD Spectrum Pro' are supplied as is. The authors disclaim all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The authors assume no liability for damages, direct or consequential, which may result from the use of any of 'The Psychedelic Screen Saver', ‘The Kinemorphic 3D Screen Saver’, 'The Hypnogenic Screen Saver', and/or 'CD Spectrum Pro'."

'The Psychedelic Screen Saver', ‘The Kinemorphic 3D Screen Saver’, 'The Hypnogenic Screen Saver', and 'CD Spectrum Pro' are "shareware" programs and are provided at no charge to the user for evaluation. Feel free to share them with your friends, but please do not give them away altered or as part of another system. You are expected to use the software on your machine and evaluate its usefulness before making a purchase. This “try before you buy” approach is the ultimate guarantee - you will never need to worry about a refund since you know before paying whether or not the software performs as expected on your machine.

The essence of "user-supported" software is to provide personal computer users with quality software without high prices, and yet to provide incentive for programmers to continue to improve current products and develop new ones. If you find the software useful and find that you are using the software after a reasonable trial period, you must purchase a license from NorthStar Solutions or Bytech Services.

The cost of this license will be: (all prices in US dollars)
$20 if you are just registering 'The Psychedelic Screen Saver'
$20 if you are just registering ‘The Kinemorphic 3D Screen Saver’
$20 if you are just registering 'The Hypnogenic Screen Saver'
$20 if you are just registering 'CD Spectrum Pro'
$30 if you are registering both 'CD Spectrum Pro' and 'The Psychedelic Screen Saver'
$30 if you are registering both 'CD Spectrum Pro' and 'The Kinemorphic 3D Screen Saver'
$30 if you are registering both 'CD Spectrum Pro' and 'The Hypnogenic Screen Saver'

The license will cover one copy of the respective program(s) for use on any one computer at any one time. You must treat this software just like a book. An example is that this software may be used by any number of people and may be freely moved from one computer location to another, so long as there is no possibility of it being used at one location while it's being used at another -- just as a book cannot be read by two different persons at the same time.

Commercial users of 'The Psychedelic Screen Saver', ‘The Kinemorphic 3D Screen Saver’, 'The Hypnogenic Screen Saver', and/or 'CD Spectrum Pro' must purchase a license for their copies within 30 days of first use or their license is withdrawn.


Technical Support

Please perform the following steps to obtain technical support for Synthesoft Products:

  1. Take a moment to read the online help / manual for the program at issue.
  2. See if your problem is addressed in the Frequently Asked Questions (FAQ)
  3. Download the diagnostics wizard from the technical support section of the Synthesoft web site: http://www.synthesoft.com/techsupport.htm.
  4. Run the diagnostics wizard on your computer, and follow the instructions for submitting a problem report.
  5. Send the output from the diagnostics wizard, along with any information requested in the wizard (including the system record/playback test if your problem is sound-related), and a description of what isn't working as expected with as many details as possible, to the appropriate email address:

The Psychedelic Screen Saver: psych@synthesoft.com
The Kinemorphic 3D Screen Saver: kine@synthesoft.com
The Hypnogenic Screen Saver: psych@synthesoft.com
CD/Spectrum Pro: cdspro@synthesoft.com

More information is available on our web site at http://www.synthesoft.com including the latest version of the FAQ and the diagnostics wizard.

Note: Problem-reports must include all of the information requested here in order for us to assist you effectively. Reports that do not contain this information will be referred to our web site for information on how to obtain it. When submitting a diagnostics report, please be sure to include the entire output from the diagnostics wizard even if no errors are reported. There is other information in the report that we will need to know in order to assist you (for example, your OS/version, sound card, drivers, video modes, etc…)


Synthesoft FAQ

F requently Asked Questions

  • Top 3 Most Frequently Asked Questions

    1. The screen saver does not appear to be synchronized to the music - what should I do?

    2. I'm having a problem related to sound, spectral analysis, or sound sync. What should I do?

    3. The Random module resets (starts a different display) every 16 seconds or so. How can I increase or decrease this time period?

  • Technical Problem Questions

    1. Why would I sometimes experience a lockup or video anomaly?

    2. Why does the screen saver start and stop or run slowly?

    3. Why don't the colors in The Psychedelic Screen Saver "shift and undulate" in high/true color display modes?

    4. Why am I having trouble connecting to the CDDB server(s)?

    5. Why do I have to keep reselecting the screen saver every time I boot my system?

  • Configuration/Installation Questions

    1. How do I remove SS Runner (Runner.EXE) from my taskbar?

    2. I've activated the password protection on my Windows NT system but when I run the screen saver and then move the mouse I'm not prompted to enter my password. Why does this happen?

    3. Is it possible to synchronize the spectrum/savers to another source, such as LINE-IN (my home stereo), RealAudio, etc?

  • Registration/Purchase Questions

    1. I have entered the registration code, but the program still tells me I need to register. What's wrong?

    2. What do you do with the registration information (address, phone number, email ID, etc...)?

    3. What is Synthesoft's official upgrade policy?

    4. Once I registered, I thought I'd receive a CD in the mail. Where is it?

  • Miscellaneous Questions

    1. How can I capture the images that the screen savers generate so that I can use them for my wallpaper, WWW pages, etc…

    2. Will there ever be a Macintosh version of Synthesoft products?

    3. How can I write a screen saver or a similar program?

    4. What are the *.PSY, *.KIN, and *.HYP files?

    5. Which video cards are able to accelerate Kinemorphics?

    6. How can I improve the frame rate for Hypnogenics?

    7. I’ve noticed that some of the Display names are prefixed by “[D]”, “[R]”, “[S]”, and “[SEQ].” What do these prefixes mean?

F requently Given Answers

Q. The screen saver does not appear to be synchronized to the music - what should I do?

A. Here are a few hints, tips, tricks, and techniques to get the most out of using the two programs together.

  • Settings shipped with the screen saver are prefaced by "[S] " if they use sound -- be sure to try one of these. "[S] Twitch" and "[S] Jumping Bean" are pretty good ones for demonstrating the sound synchronization.

  • Music with a strong on-beat followed by a soft off-beat will produce the most dramatic results.

  • If you are not seeing the patterns synchronizing with sound, check to see if sound synchronization is possible with your current system configuration. When you run CD Spectrum Pro and engage the spectrum, do the bars move with the sounds from the CD player? If not, you’ll need to get this to work before the screen saver will synchronize with sound. Please see this other FAQ item for information on how to troubleshoot this problem.

  • If the screen saver runs very slow with the sound engaged, try changing the "CPU Usage" (in the screen savers “Main Settings” panel) to "Normal" rather than "Low" -- this should help speed up the drawing.

  • CD Spectrum Pro must be running for sound synchronization to work. If it isn't, and you run one of the settings that use sound, all of the control values that use sound are changed to "Oscillate" at run-time.

  • If the synchronization doesn't appear to have much variation within the selected range, try checking the "Auto Gain" option in the "Sound" settings panel.

  • If you have a fast machine, leave everything on and enjoy the ride. But if your machine is having trouble keeping up, the following CD Spectrum Pro options can be modified to increase performance:

    • Turn off the volume taskbar icon.

    • Make the Spectrum window smaller, or turn it off.

    • Make the Scope window smaller, or turn it off.

Q. I'm having a problem related to sound, spectral analysis, or sound sync. What should I do?

A. CD/Spectrum Pro is a demanding application that exercises the majority of your sound card's functionality. Generally speaking, CDSPro uses the same set of functions that would be used if you were to record and play back CD audio using the Windows CD Player and Sound Recorder. Therefore, a minimum system requirement for CDSPro is that you be able to perform this task; record and play back CD audio using the Windows CD Player and Sound Recorder. All multimedia systems should be able to do this with no trouble. However, some drivers exist that can't handle this task properly. If you are unfortunate enough to have one of those drivers, you should contact your computer or sound card manufacturer for a replacement driver.

If you are having a problem which is related to CDSPro, first ensure that the problem does not occur with the system tools. Try recording and playing back CD audio using only the Windows CD Player and Sound Recorder (close CDSPro before performing the test). If the problem is related to a media file (MP3, WAV, etc), try playing the file with the Windows Media Player. If the system is behaving properly and CDSPro is not, then visit our technical support page for more information on filing a problem report.

Q. The Random module resets (starts a different display) every 16 seconds or so. How can I increase or decrease this time period?

A. The timeout value for random modules is set under the Random module. Choose the Random module you’re interested in (the primary ones that come with our screen savers are “[R] Saved Settings” and “[R] Saved Sound Settings”), and then click on the Random module. Under the Random settings you will see a Duration field. This is the number of seconds that pass before the Random setting you are running chooses another display. The default is 16 (seconds).

Q. Why would I sometimes experience a lockup or video anomaly?

A. Some people with lesser known sound cards or video cards have reported cases where the computer will lock up or display video anomalies when running one of our products. It is important to note that in Win95 and NT, applications (like ours) need help from poorly written drivers or faulty hardware to lock up the computer or taint the display in this way.

We've also noticed that the majority of the people reporting lockups with CDSPro have been using ESS or Crystal sound cards/chips. We have found that getting updated drivers is the only way to get these systems stable enough to handle CDSPro. We do not provide drivers - you must contact your sound card or computer manufacturer for them.

For video anomalies (most often manifesting themselves as small boxes which stay on the screen after the saver exits), the problem is probably due either to a problem in your video driver or to the way the driver is configured. There are several things you can try that may resolve the problem.

  • Your graphics performance setting may be set to too high a value. To change the setting, right click on "My Computer" and select "Properties" from the popup menu. Now, select the "Performance" tab and then press the "Graphics" button. This should bring up a slider that will let you control how much the acceleration options for your video driver. Try setting the slider all the way to the "None" side and see if you still get the problem. If you don't, try setting it to the next higher value. Keep doing this until you find the fastest setting that doesn’t exhibit the problem.

  • Your video driver may have a bug in it. To see if this is the case, try using a another driver and/or a different resolution and see if the problem persists. (The standard VGA driver that ships with the OS is a good one to test with.) If the problem does not occur with a different driver you may want to check with the folks who made the video card to see if they have a new version that fixes the problem. You can probably find their WWW site on the internet.

If the previous suggestions don’t fix the problem, please follow the instructions on our technical support page to obtain further help. This will give me more information about your system and drivers.

Q. Why does the screen saver start and stop or run slowly?

A. There are a number of potential causes for this:

  1. The most common cause of this is that there is an anti-virus program running that has been configured to scan the drive when the screen saver is started. The solution is to disable this feature of the anti-virus software when you wish to use the screen saver. Many anti-virus programs can be configured to scan the drive at certain hours of the day, this may be a more suitable workaround for systems operating in an environment where viruses are a concern.

  2. Another common problem is that a registry monitoring program has been installed on the system. These types of programs can drastically reduce the performance of some programs, including our screen savers. A good solution for this is to only run these programs when you install new software.

  3. The “Animation Speed” slider in the “Main Settings” panel for the screen saver may not be set at the “Fast” position.

  4. You may have a slow system. While our software should run quite smoothly on Pentium based systems, it’s possible that another program may be running in the background and stealing cycles from the screen savers.

Q. Why don't the colors in The Psychedelic Screen Saver "shift and undulate "in high/true color display modes?

A. While the screen savers should still work in high/true color modes, you will only get the palette animation effects in 256 color video modes. In order to get some of the effects that they use, the screen savers use a palletized video mode. This means that colors are referenced by index rather than by RGB value. By using a palletized video mode, the screen savers can change the RGB value that corresponds to a particular palette index and the result is that all of the colors on the screen that use that index are immediately updated. Neither high or true color modes use a palette, so it is not possible to achieve the effects without manually updating the entire display. Since updating the entire display is far too slow, I didn't code the screen savers to do it.

If you have Microsoft’s DirectX extensions installed then you can use the "Display" panel inside the Psychedelic Screen Saver configuration dialog to set the video mode that the screen saver will run in. The screen saver can only provide this feature if the DirectX extensions are installed on
your system. You can find out if you have the extensions installed by selecting the "Display" panel. If there is a message telling you that they are not installed then you can download them from Microsoft’s web site at: http://www.microsoft.com/directx/

Q. Why am I having trouble connecting to the CDDB server(s)?

A. By far, the most common cause of trouble connecting to the CDDB servers is when you are using CD/Spectrum Pro on a computer that is behind a corporate firewall. Most firewalls do not proxy the port(s) used to communicate with the CDDB servers, so this function will not work from behind those firewalls. To work around this problem, CD/Spectrum Pro now supports the HTTP protocol for communicating with the CDDB servers. So to use the CDDB from behind a firewall, simply choose a server with the letters 'http' in the name. CD/Spectrum Pro will gather the proxy information automagically if you are using MS IE - some other browsers don't set the proxy information in the standard locations, so you may have to configure the proxy yourself using the "Choose Server" dialog on the CDDB page of the CDInfo dialog.

Q. Why do I have to keep reselecting the screen saver every time I boot my system?

A. This is a known problem with Win95. Microsoft has documented the problem in a knowledgebase article that can be found on their web site. The URL for the article is http://www.microsoft.com/kb/articles/q141/5/43.htm

Q. How do I remove SS Runner (Runner.EXE) from my taskbar?

A. To remove SS Runner from your task bar you need to follow the following steps:

1) Right click the SS Runner icon on the taskbar and select close from the popup menu.
2) Right click on the taskbar itself and select "Properties" from the popup menu.
3) Select the "Start Menu Programs" tab in the "Taskbar Properties" dialog.
4) Press the "Remove" button.
5) Double click on the "Startup" folder in the tree view in order to see its contents.
6) Select "Runner.EXE" (or "Runner") and press the "Remove" button.
7) Confirm the removal by pressing the "Yes" button.

At this point, SS Runner has been removed from your taskbar and will no longer be run when your system is started.

Q. I've activated the password protection on my Windows NT system but when I run the screen saver and then move the mouse I'm not prompted to enter my password. Why does this happen?

A. When you run the screen saver on a Windows NT system the screen saver has to run for about seven seconds before the operating system will prompt you for a password. This has nothing to do with the screen saver, this is a (very useful) feature of Windows NT.

Q. Is it possible to synchronize the spectrum/savers to another source, such as LINE-IN (my home stereo), RealAudio, etc?

A. If you can record and play back the source using the Windows Sound Recorder, then CDSPro should be able to sync the spectrum/savers to that source as well. If not, then your sound card / driver will not allow it. For more information, please see this other FAQ item.

Q. I have entered the registration code, but the program still tells me I need to register. What's wrong?

A. The most common cause of this misunderstanding is when someone purchases one of the screen savers (or one of the joint packages which contain a screen saver plus CD/Spectrum Pro), and the other screen saver remains unregistered. As described in our registration materials, The Psychedelic Screen Saver, The Kinemorphic 3D Screen Saver, The Hypnogenic Screen Saver, and CD/Spectrum Pro are three separate software products.

You can see which programs are registered by looking in the information dialog. From CD/Spectrum Pro, click on the "About" or "Register" button. From either screen saver, right-click on the desktop, choose Properties, the screen saver page, click the "Settings" button, then the "About" button. When the information dialog comes up, the titlebar will contain the name and version of the program which launched it. Below that, in the middle pane, will be listed which programs are registered (if any).

Unfortunately, if you purchased the wrong product, we won’t be able to fix that. The registration code assigned to you will work only with the products for which you paid. And, obviously, once your registration code has been dispensed, there is no way to “take it back” or “trade it” for another. The best thing to do in this case is to download and use the software you did purchase, or go back make an additional purchase for the software you originally wanted. (The moral of the story is “please pay close attention to which product(s) you are purchasing.” <g>.)

Q. What do you do with the registration information (address, phone number, email ID, etc...)?

A. Most of the information we request is used to validate credit card orders. We also use it to verify the identity of people who later ask us to resend their registration number due to hard disk crashes, etc. We absolutely do not give your information to anyone else - you will not end up on a mailing list, telemarketing list, or other such list because of us (we hate those lists too).

Q. What is Synthesoft's official upgrade policy?

A. Out policy on upgrades is that, by registering a particular version, you are entitled to use any and all versions up to but not including the next major version.

For example, if you register version 2.1 you are automatically registered for all 1.x and 2.x versions but not for 3.x versions. Basically, you get updates to the version you registered and a discount to upgrade to a new version if there is an upgrade fee.

Q. How can I capture the images that the screen savers generate so that I can use them for my wallpaper, WWW pages, etc…

A. The 'W' and 'S' keys can be used to capture images and animations while the screen saver is running.

W - Set the current desktop wallpaper to the frame of the animation that is currently being displayed. The file will appear in your Windows directory as a numbered BMP file (like BACK0001.BMP, BACK0002.BMP, etc…).

S - Capture the current screen to a file in the Screen Shots subdirectory in the directory where Psych was installed. If you hold down the S key each frame of the animation will be captured to a numbered file (like PSY-0001.BMP, PSY-0002.BMP, etc…).

For more information about keyboard commands, please refer to the online help section for the appropriate screen saver.

Q. Will there ever be a Macintosh version of Synthesoft products?

A. Unfortunately, no. We've considered implementing Macintosh versions of our products, but the amount of time and energy required to maintain two separate forks of the source code prohibits us from doing so. Instead, we will apply our energy toward adding new modules, effects, and features to the Win95/WinNT versions. Our apologies to all of the Mac users out there.

Q. How can I write a screen saver or a similar program?

A. If you are interested in writing screen savers for Windows 3.1, there is a source code sample in the Microsoft Windows 3.1 SDK called BOUNCER that should be helpful. If you are interested in writing a 32 bit screen saver for Windows NT or Windows 95/98, you might want to check out a sample in the Microsoft Win32 SDK called FRACTAL.

To write After Dark modules, you'll want to get a copy of Berkeley Systems' After Dark Module SDK which should be available somewhere on their WWW site at: http://www.berksys.com/

Most of the interesting code in CDSPro uses the multimedia APIs and some OLE/COM. You can find documentation on everything we did with those APIs in the Win32 SDK online help, or on MSDN.

Specifically, folks seem to be interested in the spectrum analysis portion of CDSPro. We use standard Win32 multimedia APIs to gather the data. You should be able to find all you need in the online help for the Win32 SDK. To process the data, we use a Fast Fourier Transform (FFT) - although there are other transformation functions available. Unfortunately, the FFT is too complex to describe here, or in email - so your best bet would be the local library. Be prepared to invest a hefty amount to time to reach "FFT Nirvana" - for me it was several months.

Q. What are the *.PSY, *.KIN, and *.HYP files?

A. These files are files which contain one saved display each (for either the Psychedelic, Kinemorphic 3D, or Hypnogenic screen saver, respectively). You choose a display as your default by choosing it in the Choose Display tab. You can also make shortcuts on your desktop to the display files so that you can launch the appropriate screen saver with different settings just by clicking on the shortcut. The display files that come with the screen savers get installed when you run the setup program. They should show up in the drop-down listbox that contains the "Saved Displays" under both the Choose Display tab and Edit Displays tab.

Q. Which video cards are able to accelerate Kinemorphics?

A. Since the 3D graphics that Kinemorphics uses are produced entirely by OpenGL, any video card/driver that accelerates OpenGL-based programs will accelerate Kinemorphics. For a partial list of the many cards that accelerate OpenGL-based programs, see http://www.opengl.org/Products/Accelerators.html.

At this time, 3dfx-based cards are unable to fully accelerate OpenGL. However, 3dfx are working on software that will allow OpenGL acceleration and as soon as it becomes available, it should be able to accelerate Kinemorphics as long as it is a complete implementation of OpenGL.

Q. How can I improve the frame rate for Hypnogenics?

A. There are a number of things that you can do to improve the frame rate:

1) Use the “Image Quality” slider on the “Auxiliary Settings” panel to lower the image quality. This reduces the number of computations the screen saver must perform in order to compose a frame of the images.

2) Use the “Video Mode” panel to force the screen saver to run in a lower resolution video mode. 640x480 resolutions are usually quite fast.

3) Use the “Video Mode” panel to force the screen saver to run in a 256 color mode. Like #1, this reduces the number of computations the screen saver must perform in order to compose a frame of the images.

Note that you’ll need to have Microsoft’s DirectX extensions installed in order to use the "Video Mode" panel inside the Hypnogenic Screen Saver configuration dialog. You can find out if you have the extensions installed by selecting the "Video Mode" panel. If there is a message telling you that they are not installed then you can download them from Microsoft’s web site at: http://www.microsoft.com/directx/

Q. I’ve noticed that some of the Display names are prefixed by “[D]”, “[R]”, “[S]”, and “[SEQ].” What do these prefixes mean?

A. These prefixes are a naming convention. They indicate that the Display:

[D] – Contains the default values for a particular module.
[R] – Uses the “Random” module.
[S] – Has been authored to take advantage of the sound synchronization capabilities.
[SEQ] – Uses the “Sequencer” module to display a specific grouping of Displays.

Q. Once I registered, I thought I would get a CD or documentation in the mail - where is it?

A. We do not ship any media, documentation, or other materials - the software you download from our web site is fully functional and contains the online documentation. We distribute our products only via the World Wide Web (WWW). This way, any updates we post are immediately available to you for download.

Also, we do not maintain any mailing lists, so for example we cannot email you to notify you when new versions are posted - just check the web site once a week or so (we probably average a new build every 2-3 weeks, sometimes more frequently, sometimes less).


About Synthesoft

There are those who believe that the software here began out there, far across the universe, with tribes of programmers who may have been the forefathers of the IBMs, or the Microsofts, or the Netscapes. That they may have been the authors of the “killer apps” of the early 80s, or the lost software of Amiga or Apple.

Fleeing the corporate tyranny, the last software company, Synthesoft, leads a rag tag fugitive fleet of programmers, on a lonely quest -- to blow your mind!

Our mission (which we chose to accept) is to write quality software that fuses light and sound to provide an intense interactive audio-visual experience.

So, we’ve got a full pot of coffee, half a pack of cigarettes, it’s dark out, and we’re coding. Hit it.

(Fearing the corporate tyranny, we should point out that IBM, Microsoft, Netscape, Amiga and Apple are registered trademarks, copyrights, or otherwise protected and owned by their respective corporate tyrannists.)


Registration/Purchase Information

  • Why purchase a registration? What will I get?

  • License Types and costs

  • Order Form

  • Payment Options

  • Site Licenses


License Agreement

Definition of Shareware

Shareware distribution gives users a chance to try software before buying it. If you try a Shareware program and continue using it, you are expected to register. Individual programs differ on details - some request registration while others require it, some specify a maximum trial period. With registration, you get anything from the simple right to continue using the software to an updated program with printed manual.

Copyright laws apply to both Shareware and commercial software, and the copyright holder retains all rights, with a few specific exceptions as stated below. Shareware authors are accomplished programmers, just like commercial authors, and the programs are of comparable quality. (In both cases, there are good programs and bad ones!) The main difference is in the method of distribution. The author specifically grants the right to copy and distribute the software, either to all and sundry or to a specific group. For example, some authors require written permission before a commercial disk vendor may copy their Shareware.

Shareware is a distribution method, not a type of software. You should find software that suits your needs and pocketbook, whether it's commercial or Shareware. The Shareware system makes fitting your needs easier, because you can try before you buy. And because the overhead is low, prices are low also. Shareware has the ultimate money-back guarantee -- if you don't use the product, you don't pay for it.


Registration/Purchase License Types

License Types and Costs

The Psychedelic Screen Saver, The Kinemorphic 3D Screen Saver, The Hypnogenic Screen Saver, and CD/Spectrum Pro are four separate Synthesoft products. You may purchase these Synthesoft products individually for $20US each. However, since the screen savers are designed to work with CD/Spectrum Pro in order to provide sound-synchronized visuals, we provide a bundled option where a screen saver can be purchased with CD/Spectrum Pro for a total of $30US.

  • The Psychedelic Screen Saver (screen saver only) for $20 US.
  • The Kinemorphic 3D Screen Saver (screen saver only) for $20 US.
  • The Hypnogenic Screen Saver (screen saver only) for $20 US.
  • CD/Spectrum Pro (CD player/spectrum analyzer only) for $20 US.
  • Psych and CDSPro for $30 US. **
  • Kine and CDSPro for $30 US. **
  • Hypno and CDSPro for $30 US. **
  • Upgrade your pre 3.0 version of The Psychedelic Screen Saver (screen saver only) for $10 US.

** Due to the administrative overhead involved in processing individual purchases, we can offer the bundled packages only when the products are purchased together in the same transaction. If you purchase one of the products alone, then later wish to add another, you will need to pay the full $20US fee for the second product.


Registration/Purchase Order Form

Order Form

Synthesoft Products Order Form

Name:
Address1:
Address2:
City: State: Zip:
Country:
Phone:
Email Address:

Select products to purchase:

Psychedelic Screen Saver with CD/Spectrum Pro (PID 797) $30 / _____
Kinemorphic 3D Screen Saver with CD/Spectrum Pro (PID 1463) $30 / _____
Hypnogenic Screen Saver with CD/Spectrum Pro (PID 3872) $30 / _____
Psychedelic Screen Saver v4.x (PID 798) $20 / _____
Kinemorphic 3D Screen Saver v4.x (PID 1462) $20 / _____
Hypnogenic Screen Saver v1.x (PID 3871) $20 / _____
CD/Spectrum Pro v3.x (PID 522) $20 / _____
Psychedelic Screen Saver v3.x Upgrade (PID 800) $10 / _____

Check payment type: Visa___ MasterCard___ Check/MO___
Discover(NorthStar only)___ AmericanExpress___

For credit card orders:
Name as it appears on card:
Card Number:
Expiration date:

<- - - - - - - - - - - ORDER FORM / CUT HERE - - - - - - - - - - - ->

Important Notes:

1) Be sure to make check/money orders payable to "NorthStar Solutions" or "Bytech Services" as appropriate.

2) If you are upgrading, please include the full name under which you placed your original order.

3) NorthStar and Bytech do not provide technical support, they only take orders for the software. If you need support, please read the section in the online help that discusses support options.

4) After your order is processed, NorthStar or Bytech will provide you with a registration code which will "unlock" the software.

5) Also, please note that we do not ship diskettes for any of these products. You can get the latest version of each of these products from the Synthesoft web site at: http://www.synthesoft.com

6a) Once you have your registration number you can enter it into the screen saver to remove the registration reminder messages by following these steps:

a) From the start menu, select "Settings" -> "Control Panel"
b) Double click the "Display" icon
c) Select the "Screen Saver" tab of the display dialog
d) Press the "Settings" button
e) Press the "REGISTER" button of the configuration dialog. It's in the lower left corner next to the "Help" button.
f) The registration dialog will appear - click the "Enter Code" tab
g) Enter your registration number in the registration dialog
h) Press the "Submit" button

The next time the screen saver runs it should be fully registered!

6b) You can also enter your registration code into CD/Spectrum Pro by following these steps:

a) Start CD/Spectrum Pro (double-click on the icon on the desktop)
b) A reminder dialog will appear - click the "How To Register" button
c) The registration dialog will appear - click the "Enter Code" tab
d) Enter your registration number in the registration dialog
e) Press the "Submit" button


Registration/Purchase Payment Options

Payment Options

After filling out the order form, contact either NorthStar Solutions or Bytech Services to place your order. Both NorthStar and Bytech accept registrations via phone, fax, email, postal mail, and the web. The services provided by these companies are nearly identical.Feel free to choose either company to process your purchase.

 | Bytech Services | NorthStar Solutions
Secured Web Site | Bytech's Secured Site | NorthStar's Secured Site
Phone | Mon-Fri 7am-5pm PST Sat-Sun 7am-12pm PST 1-888-422-7521 | Mon-Fri 9am-7pm CST 1-800-699-6395 (US only) 1-785-539-3731
Fax | 24hrs: 1-360-422-7520 | 24hrs: 1-785-539-3743
Email | Bytech@sos.net | Starmail@nstarsolutions.com
 | ByTech Services 1500A East College Way #554 Mount Vernon, WA 98273 | NorthStar Solutions 1228 Westloop Pl, Suite 204 Manhattan, KS, 66502


Registration/Purchase Site License Information

Site License Pricing Options

Any one Synthesoft product:

Licenses | Cost Per License
1 | $20
2 - 9 | $17.50
10 - 49 | $10

Any one of the Screen Savers Plus CD/Spectrum Pro

Licenses | Cost Per License
1 | $30
2 - 9 | $25
10 - 49 | $15

* For inquiries regarding licenses for quantities in excess of 50 units, please email: psych@synthesoft.com


The Psychedelic Screen Saver

Index

  • Product overview

  • System Requirements

  • Keyboard Commands

  • Configuration Dialog

    • Choose Display

    • Edit Displays

      • Palette

        • Custom

        • Standard

      • Modules

    • Auxiliary Settings

    • Sound

    • Video Mode

  • How to accomplish some common tasks

  • Support / Questions


The Psychedelic Screen Saver

For art to exist, for any sort of aesthetic activity or perception to exist, a certain physiological precondition is indispensable: intoxication.
Friedrich Nietzsche, Twilight of the Idols, "Expeditions of an Untimely Man"

The Psychedelic Screen Saver is a light synthesizer that generates an astounding variety of mesmerizing patterns. As the patterns materialize on your screen, the colors will shift, undulate, and blow your mind. Whether you're into abstract art, mathematics, or just have a history of mental illness, you'll love this screen saver.

Included with the screen saver are over 400 displays demonstrating some of the capabilities of the software. If, however, you wish to create your own displays, you can construct your own using the hundreds of controls that govern the animation creation process. The variety of displays that can be created is absolutely staggering.

The Psychedelic Screen Saver has been designed to work in conjunction with CD/Spectrum Pro in order to provide stunning visual effects that synchronize with the sounds from an audio source (like the CD player in your computer or an MP3 file). With many of the module controls you can associate a sound frequency, a range of effect, and a sensitivity. Fluctuations in the amplitude of the frequency will oscillate the control values within the range of effect.


The Psychedelic Screen Saver

System Requirements

  • The Psychedelic Screen Saver runs quite nicely on a 80486 DX2-66 system. However, if it is being used in conjunction with CD/Spectrum Pro then you'll probably want at least a 166 MHz Pentium based system.
  • Microsoft Windows 95/98, Windows NT 4.0, or Windows 2000
  • It's recommended that you have a display adaptor that can handle 256 color display modes. While the screen saver works in high/true color modes, you will only get the palette animation effects (which cause the colors to shift and undulate) in 256 color video modes. If you have Microsoft’s DirectX extensions installed then you can use the "Video Mode" panel inside the Psychedelic Screen Saver configuration dialog to set the screen saver to run in a 256 color video mode. However, the screen saver can only provide the mode switching feature if the DirectX extensions are installed on your system. You can find out if you have the extensions installed by selecting the "Video Mode" panel. If there is a message telling you that they are not installed then you can download them (free of charge) from Microsoft’s web site at: http://www.microsoft.com/directx/

Release Notes

  • Installing The Psychedelic Screen Saver will overwrite prior versions of The Psychedelic Screen Saver. If you've installed a previous version you may want to backup, rename, or otherwise save the file "psych.scr" in your \system directory (on Win95) or \system32 directory (on WinNT). Newer versions of The Psychedelic Screen Saver support settings created by earlier versions.
  • This version of The Psychedelic Screen Saver is free to users who have purchased a 3.x version and is available to users who have purchased an earlier version of The Psychedelic Screen Saver as a $10 upgrade. Note that this upgrade licenses the screen saver but not CD/Spectrum Pro. CD/Spectrum Pro is a separate product.
  • Purchasing The Psychedelic Screen Saver provides you with a license to use all updates to this version of the software and all previous versions.
  • In order for The Psychedelic Screen Saver to display graphics which synchronize with sound, you must have a sound card installed (and properly configured) in your system and CD/Spectrum Pro must be running .


The Psychedelic Screen Saver

Keyboard Commands

There are a number of keyboard commands that you can use to control the screen saver while it is running.

F1 - Captures the current display and saves it to the list of saved displays. You can select, rename, review, and/or edit the display in the Main Settings panel for the screen saver. The captured display will show up under the name “Capture #n” where “n” is the number of the capture.

F2 - Advances the screen saver to the next set of settings for the current display. If you are running in a random mode where you are selecting from the saved displays, then you will get a new display. If you are running in a random mode where you are selecting from a set of modules, a new subset will be selected.

F3 - Captures the current display and saves it to the list of saved displays. This option is exactly like F1 except that it will capture the current color palette (instead of the current palette control parameters) and set the animation type to “Custom.” This way, you can get a moving snapshot of the current display.

F4 - Advances the palette to the next palette by generating new parameters for the palette controls.

F5 - Toggle suspend/resume drawing and palette animation.

F6 - Toggle suspend/resume drawing.

F7 - Toggle suspend/resume palette animation.

F8 - Reverse palette animation direction for all color guns.

F9 - Toggle disable/enable mouse interrupt. You can use this to stop (or start) mouse movements from waking up the screen saver. Keep in mind that you can still wake up the screen saver by pressing a keyboard key that is not part of this command list.

Left Arrow - Moves CD player back one song (when CD/Spectrum Pro is running)..

Right Arrow - Moves CD player forward one song (when CD/Spectrum Pro is running)..

Up Arrow - Increases audio volume (when CD/Spectrum Pro is running).

Down Arrow - Decreases audio volume (when CD/Spectrum Pro is running).

1 - 9 - Jump to track 1 - 9 (when CD/Spectrum Pro is running).

TAB - Lock module(s) parameters (i.e. turns random module off).

+ / - - Increase / decrease drawing speed.

DEL - Stop the animations and blank the screen.

Left Shift - Override the actual sound/oscillation amplitude by simulating a low amplitude wave.

Right Shift - Override the actual sound/oscillation amplitude by simulating a high amplitude wave.

S - Capture the current screen to a file in the Screen Shots subdirectory in the directory where Psych was installed. If you hold down the S key each frame of the animation will be captured to a numbered file (like PSY-0001.BMP, PSY-0002.BMP, etc…).

W - Set the current desktop wallpaper to the frame of the animation that is currently being displayed. The file will appear in your Windows directory as a numbered BMP file (like BACK0001.BMP, BACK0002.BMP, etc…).


The Psychedelic Screen Saver

Configuration Dialog

The Configuration Dialog allows you to configure the properties that govern the behavior of the screen saver and the patterns it produces. You can bring up the Configuration Dialog, right-click on SS Runner (the [image] icon in your taskbar), choosing "Configure", and then selecting "The Psychedelic Screen Saver" from the menu. If you don't have SS Runner installed, you can right-click on the desktop, choose "Properties" from the pop-up menu, and then select the "Screen Saver" page of the "Display Properties" dialog. From there you can select "The Psychedelic Screen Saver" and then press the "Settings" button to bring up the Configuration dialog.

For information about specific controls within the Configuration dialog, please select the corresponding topic from the index below:

  • Choose Display

  • Edit Displays

    • Palette

      • Custom

      • Standard

    • Modules

  • Auxiliary Settings

  • Sound

  • Video Mode


The Psychedelic Screen Saver

Choose Display

This panel provides you with a convenient way to browse and select a Display from the list of available Displays. The Display that is selected will be used whenever the screensaver is run.

Here is a brief description of the controls on this page.

Saved Displays

From here you can pick the Display that will be used when the screen saver runs. To pick a new display from the list of available displays, select its name from those in the display chooser control. If the Quick preview is enabled then the currently selected display will be previewed in the Preview Window.

The CD Icon to the left of the display chooser will indicate whether or not a Display was authored to support sound synchronization. If a Display supports sound synchronization then you can launch CD/Spectrum Pro, select a sound source (like a CD or MP3 file), and run the screen saver to get visuals which move with the sounds from the sound source.

If you find yourself looking for additional Displays, there is an archive of interesting Display files available on the "Additional Settings" page of the Psychedelic Screen Saver section of the Synthesoft web site.

Enable Quick Preview

If this is checked then the currently selected Display will be previewed in the small preview window. The preview window will always display the last saved version of a Display so, if you make changes to a display, you’ll need to save them before the preview window will display them. If you have a slower system you may want to disable the quick preview in order to keep the user interface as responsive as possible.

Full Screen Preview

This button will launch the screen saver in full screen mode.

Register or About

This button will launch a small application that lists the Synthesoft products you have installed and their versions. It also provides you with all the information you need to:

  • Purchase a license for a Synthesoft product
  • Enter a registration code for a Synthesoft product to remove the reminder messages
  • Get support for a Synthesoft product
  • Get to the Synthesoft Web Site


The Psychedelic Screen Saver

Edit Displays

Use the controls here to build and manage your Displays. A Display is comprised of one or more modules and a palette. The modules provide the structure of the shapes used in the display while the palette will determine the colors used to display the shapes. To select which modules are used, right click your mouse on the Module Icon (looks like a gray 'M') to bring up the Options Menu and then select the module you wish to use from the "Add Module" sub menu. Each of the modules you select will be added to the Display hierarchy. You can edit the controls for the modules you've added by selecting the module you want to edit in the Display hierarchy and the controls for that module will appear to the right. For a simple walkthrough of the steps necessary to create a display, please see read How to Create a Display.

Options Menu (right mouse click on Display hierarchy window)

Import *.PSY File(s)...

Import Display settings that you obtain from other users of the software. Importing a setting will copy it from its original location into your settings directory. In addition, the import process will convert a Display authored with an older version of the the software into a setting compatible with the current version.

Delete Current Display

Completely removes the currently selected Display from the system.

Add Module

Allows you to select which module(s) will be included in your Display. To remove a module from your display, select the module you wish to remove by clicking on it in the Display hierarchy window and then press the Delete key on the keyboard.

Other controls...

Saved Displays

From here you can pick the Display you want to edit. When you select a new display, the Display is loaded into the Display hierarchy window so that you can select and edit its components..

Save

Saves the changes you've made to the current Display.

Save As...

Saves the changes you've made to a new Display with a different name. While you can save Displays to any folder you like, only Displays in the settings folder are available to the screen saver.

Saving a Display creates a *.PSY file bearing the name you gave it. PSY files can be launched by double clicking on them from the Windows Explorer. They can also be placed on web site where users can launch them simply by pressing the link.

Clear first

If this is checked, your screen will be cleared to black when the screen saver first starts.

Module Controls

Module controls are discussed individually in their respective section of the documentation.


The Psychedelic Screen Saver

Palette

The palette controls allow you to configure the colors that are used by your displays. The standard controls are used to algorithmically control the palette colors while the Custom controls allow you to explicitly specify the colors that will be used. In order to use the Custom settings you must set the "Color Effect" in the Standard palette configuration panel to "Custom."

For information about specific palette controls, please select the corresponding topic from the index below:

  • Custom

  • Standard


The Psychedelic Screen Saver

Custom

The custom palette editor allows you to specify the colors that will be used when the “Color Effect” in the “Palette” configuration panel is set to “Custom”. Use the mouse to select a particular color or a range of colors from the palette and then use the functions listed below to manipulate them.

R / G / B - Controls how much red/green/blue is in the selected color or range of colors.

Random - Generates a random gradient of colors for the currently selected color range.

Negative - Sets each of the colors in the currently selected color range to their color negative.

Reverse - Reverses the order of the colors in the currently selected color range.

CopyTo - Copy from one color or a range of colors to another. To use CopyTo, use the mouse to select a color or range of colors as the source for the copy then press CopyTo and select a color or range of colors for the destination. When you release the left mouse button, the copy will be applied.

MergeTo - Merges from one color or a range of colors to another. To use MergeTo, use the mouse to select a color or range of colors as the source for the copy then press MergeTo and select a color or range of colors for the destination. When you release the left mouse button, the merge will be applied.

Gradient - Takes the first and last color in the selected range and generates all of the colors between them in RGB color space.

Undo - Undoes the previous operation. The undo buffer is only one entry deep so pressing undo twice is the same as not pressing it at all.

Smooth - Takes all of the colors in the selected range and modifies the RGB values so that they are more like the neighboring colors.

Rough - Randomly modifies the RGB values of the colors in the selected range by a small amount.

Shift - Swaps the red, green and blue values for the selected range. Red gets the value of green, green gets the value of blue, and blue gets the value of red.

Import - Allows you to load a palette from a file.

Export - Allows you to save the current palette to a file.

Red, Green, and Blue Masks - Prevent color operations from effecting a particular gun.

Stencil - Prevent color operations from effecting the currently selected color or range of colors.

Un-Stencil - Allows color operations to effect the currently selected color or range of colors.,


The Psychedelic Screen Saver

Standard

You can use the Standard Palette configuration panel to control the how the colors are generated for the Displays you create. In order to understand how the effects apply, you need to know a little bit about how colors are created on the computer. Each pixel (picture element) on your screen is composed of certain amounts of red, green, and blue. On the computer, these amounts can vary between 0 and 255. By mixing the amounts of red, green, and blue in a particular pixel, you can produce just about any color in the visible spectrum. The purpose of the palette configuration panel is to allow you to control how the red, green and blue will be mixed.

Each of the three color guns (red, green, and blue) can be configured independently of the other two. This means that you can apply different effects to each of the guns to produce a wide variety of colors when the effects are combined. In order to control which gun you are editing the settings for, you use the three push buttons in the upper left. They are labeled “Red”, “Green”, and “Blue”:

Color Gun Selection

These control which color guns you are editing.

  • All - If this button is depressed then setting changes are applied to all of the color guns.
  • Red - If this button is depressed then all setting changes are applied to the red color gun.
  • Green - If this button is depressed then all setting changes are applied to the green color gun.
  • Blue - If this button is depressed then all setting changes are applied to the blue color gun.

Color Effects

Control how the palette engine generates colors for the color gun you’ve selected.

  • Ramp - Generates intensities that start out bright then fade to black. You can control how quickly the fade to black takes place by using the “Ramp Frequency” control.
  • Fade - Generates intensities that will start out black then brighten and then fade to black again. You can control how quickly the fade takes place by using the “Fade Frequency” control.
  • Smooth - Generates smooth, even, intensity transitions.
  • Coarse - Generates intensity transitions that contain random localized intensity fluctuations.
  • Blackout - Will set the intensity to 0.
  • Random - Will randomly pick one of the previous color effect options.
  • Custom - Intensities will be taken from the custom palette created in the “Custom” configuration panel.

Control Settings

Use these to configure how the color effects are applied.

  • Brightness - This will scale all of the intensities for the selected color gun. A value of 50 would indicate that all values will be reduced by 50%.
  • Color Frequency - This control how quickly the selected gun will vary in intensity. A high value will produce faster, more hectic, intensity transitions while lower values will produce smoother, more gradual, intensity transitions.
  • Fade Frequency - If the “Fade” color effect is selected, this will control how fast the fade takes place. Larger values produce quicker, more compressed, fades.
  • Ramp Frequency - If the “Ramp” color effect is selected, this will control how fast the fade takes place. Larger values produce quicker, more compressed, ramps.
  • Duration - This controls how long (in seconds) the set of settings for the selected gun will last before a new set is generated. When a new set of settings is generated, the old settings are morphed (or interpolated) into the new settings (this produces smoother transitions between settings). You can control how quickly the interpolation occurs using the “Morph Rate” control documented below.
  • Cycle Rate - This controls how much delay (in milliseconds) there is between palette animation frames. Lower values will cause the palette to animate faster. At the present, only the “Red” gun is used -- its value is applied to green and blue.
  • Event Rate - This controls how often an event will take place for the selected gun. Events include things like changing the direction of animation or changing the frequency of the intensity transitions.
  • Direction - This controls whether the colors will animate forwards or backwards and how fast they will animate in that direction.
  • Morph Rate - This controls how quickly the transition from one set of palette settings to another will take place for the selected gun. A lower value will produce more gradual transitions while a high value will produce faster transitions.
  • Intensity - Like the brightness control, this will scale the intensities for the selected color gun. The difference is that the “Intensity” value is only applied to the intensities generated in the current frame of the animation rather than all the intensities (as brightness is).


The Psychedelic Screen Saver

Module Control Overview

Here are some general pointers on how the module controls operate. Most of the controls used in the modules are composed of several parts. To the right of a control is a drop down list box that you can use to select the source for a particular control. The source determines where that control gets information on how to calculate a value for the parameter it controls. When you change the source for a control, the rest of the control will change in order to accommodate the different types of values that that particular source requires.

Here are a few examples of the way controls will appear based upon the sources selected.

A)

B)

C)

D)

Source

  • Set - The value for the control is set to whatever value is indicated by the slider component. The controls in “A” (above) demonstrate a “Set” source. In this case, the value for the control will be set to 2.
  • Random - The value for the control is set randomly generated so that it is between the two values indicated by the two sliders. The controls in “B” (above) demonstrate a “Random” source. In this case, the value will be a random number between 0 and 100.
  • Oscillate - The value for the control will oscillate between the values indicated by the two sliders. The frequency of the oscillation can be controlled using the up/down control just to the left of the source control. Higher values for the frequency will yield faster oscillation. The controls in “C” (above) demonstrate a “Oscillate” source. In this case, the value will oscillate between 1 and 50 with a frequency of 10 (fastest).
  • Volume (and all frequency ranges) - The value for the control will set between the values indicated by the two sliders using the volume from the audio input source. The sensitivity of the audio sampling can be controlled using the up/down control just to the left of the source control. Higher values for the sensitivity will yield faster sampling and be more responsive to amplitude changes. The controls in “D” (above) demonstrate a “Volume” source (frequency sources work the same way). In this case, the value will fluctuate between 0 and 320 with a sensitivity of 10 (the most sensitive). These ranges could also be reversed if an inverse relationship to the audio was desired.


The Psychedelic Screen Saver

Bezier

Beziers:
The number of simultaneous objects (or curves) being drawn.

Symmetry:
At the lowest setting, the objects move about the screen. The higher values restrict movement to a centered, flowering pattern.

Trail Length:
Controls how long the colors trail stays in place before being “erased.”

Width:
Controls the size of the objects, or lines.

Speed:
The speed at which the pattern evolves.

Duration:
Specifies the number of seconds before the image is redrawn.

X Tiling:
Determines the number of “panes” that are drawn, left to right. Think of a tiled floor – you determine the number and size of the tiles.

Y Tiling:
Determines the number of “panes” that are drawn, up and down. Think of a tiled floor – you determine the number and size of the tiles.

Tile Type:
(0) draws the images one after the other. (1) and (2) leave gaps between the tiles. (3) forces mirror images in the tiles.


The Psychedelic Screen Saver

Bitmap

Filename (or mask):

Allows you to select the picture file(s) to display. You can use wildcards

Display Type:

Selects how the background image is displayed.

(0) Centered, actual size image.
(1) Centered image, stretched to fit the display.
(2) “Mirror” type tile effect, where the image is tiled, similar to a fun-house mirror
(3) Standard tiling, just like Windows’ wallpaper settings.

Force Gradient:

(0) Creates a smoothly shaded effect, where the colors run together
(1) Enhances the edges where the colors intersect on the original bitmap.

Duration:

Specifies the number of seconds before the image is drawn.

Smoothing:

This affects the strength of the image’s edges being drawn. Set at (0), the colors are run together more abruptly. At the highest strength the edges flow together and produce a halo effect. Used with the force gradient setting, you can create nearly seamless edges or draw rings around objects.

Random Order:

Determines whether or not the files specified by the file mask are displayed in sequential order (0) or in random order (1).

File or Screen:

Set to (0), the image file selected is animated. Set at (1), whatever is on the screen when the saver kicks in is used as the image for animation. To use the screen, you will either want to check one or more additional modules or clear the “Clear screen at startup” checkbox in the Main Settings. Otherwise you will get a blank screen of one solid color that changes.


The Psychedelic Screen Saver

Cyclic

Objects:
The number of individual objects occurring at once.

Spasticity:
The relative “mood” of the objects. Lower values are calmer and seem less excited, higher values force the objects to fly about quickly, as if they had more energy.

Trail Length:
Controls how long the “tail” of the object gets. Low values draw short tails, and then there is a black trail after the object.

Diameter:
The size of the object(s).

Planar Symmetry:
Draws a duplicate of the object at angles around a circle.

Object Rotation:
Determines how tight the “turning radius” is.

Object Sides:
The lowest value creates a sphere. More sides create multi-sided polygons.

Object Type:
Controls the object’s general nature – this one requires experimentation to suit taste.

Duration:
Specifies the number of seconds before the image is redrawn.

X Tiling:
Determines the number of “panes” that are drawn, left to right. Think of a tiled floor – you determine the number and size of the tiles.

Y Tiling:
Determines the number of “panes” that are drawn, up and down. Think of a tiled floor – you determine the number and size of the tiles.

Tile Type:
(0) draws the images one after the other. (1) and (2) leave gaps between the tiles. (3) forces mirror images in the tiles.


The Psychedelic Screen Saver

Effect

Type:

Determines the pattern that will be used as a “template.” The shape is drawn as white on a black background, and then colors that appear on top of it form patterns that will vary according to the shape that the effect module draws. Try effect and vortex together to get a good feel for the different types.

X Strength:

Determines how great the effect is on the X (horizontal) axis.

Y Strength:

Determines how great the effect is on the Y (vertical) axis.

Display Interval:

Controls the length of time before the effect module is redrawn.


The Psychedelic Screen Saver

Flow

Sides:

Determines how many sides the drawn polygon will have.

Thickness:

Controls the size of the lines that comprise the polygon’s sides.

X Rate:

Controls the “drift” speed along the X (horizontal) axis. The shape will drift between the value(s) set here.

Y Rate:

Controls the “drift” speed along the Y (vertical) axis. The shape will drift between the value(s) set here.

Rotate Rate:

Controls the speed at which the shape(s) turn. Positive values force clockwise rotation, and negative values force counter-clockwise rotation.

Duration:

This controls how long the image remains before it is redrawn.

X Span:

Controls how far along the X (horizontal) axis the shape(s) will drift before returning to center.

Y Span:

Controls how far along the Y (vertical) axis the shape(s) will drift before returning to center.

Depth:

Determines the number of polygons to be drawn, creating the depth of the “spiral.”

Flux:

Controls the degree of rotation between each successive polygon. Lower values create a “dizzier” effect, spiraling more quickly.

Trail Length:

Determines how long the tail of the shapes will get before disappearing.


The Psychedelic Screen Saver

Line

Delta X1:

The rate at which the location of the first endpoint of the line moves across the screen.

Delta Y1:

The rate at which the location of the first endpoint of the line moves up and down the screen.

Delta X2:

The rate at which the location of the second endpoint of the line moves across the screen.

Delta Y2:

The rate at which the location of the second endpoint of the line moves up and down the screen.

X1:

The X location of the first endpoint of the line expressed as a percentage of the width of the screen.

Y1:

The Y location of the first endpoint of the line expressed as a percentage of the height of the screen.

X2:

The X location of the second endpoint of the line expressed as a percentage of the width of the screen.

Y2:

The Y location of the second endpoint of the line expressed as a percentage of the height of the screen.

Trail Length:

Determines how long the trail of lines gets.

Strength:

Determines how much this module is favored compared to the other modules that are selected.

X Tiling:

Determines the number of “panes” that are drawn, left to right. Think of a tiled floor – you determine the number and size of the tiles.

Y Tiling:

Determines the number of “panes” that are drawn, up and down. Think of a tiled floor – you determine the number and size of the tiles.

Tile Type:

(1) draws the images one after the other. (1) and (2) leave gaps between the tiles. (3) forces mirror images in the tiles.

Symmetry:

Controls the degree to which the lines mimic each other. Higher settings produce more circular, uniform results, lower values allow more random activity.

Duration:

Specifies the number of seconds before the image is redrawn.


The Psychedelic Screen Saver

Pattern

Waves:

The number of waves of color the flow outward (or inward). Higher values produce a busier, more involved effect, and lower values are more subdued.

Turbulence:

This setting determines how “busy” the pattern is. At lower values, the waves are further apart.

Type:

Controls which pattern sub-type is used to generate the image.

Duration:

Specifies the number of seconds before the image is redrawn.

Turbulence Type:

Controls the different “disturbance” patterns in the waves of color.

Pattern Density:

Controls the number of origin points for turbulence. Lower values create more concentrated patterns, higher values aren’t quite as busy.

Wave Type:

Determines the pattern for the waves to be drawn in. Experiment for best results.

Folding:

The higher the value, the tighter the pattern of waves. At lower values, the waves are more random.

X Tiling:

Determines the number of “panes” that are drawn, left to right. Think of a tiled floor – you determine the number and size of the tiles.

Y Tiling:

Determines the number of “panes” that are drawn, up and down. Think of a tiled floor – you determine the number and size of the tiles.

Tile Type:

(0) draws the images one after the other. (1) and (2) leave gaps between the tiles. (3) forces mirror images in the tiles.

Diffuse:

Controls the contrast between pixels. Higher settings give more of a “spray-paint” effect.


The Psychedelic Screen Saver

Plasma

Roughness:

Determines how “grainy” the colors are. The lowest setting has smooth coloring, and the higher vales produce more contract.

Update Interval:

Determines how quickly the image is redrawn. At lower settings, the plasma field becomes more “defined” and cloudlike quickly (as the resolution increases). At higher values, the image takes longer to smooth out.

Duration:

Specifies the number of seconds before the image is redrawn.

X Tiling:

Determines the number of “panes” that are drawn, left to right. Think of a tiled floor – you determine the number and size of the tiles.

Y Tiling:

Determines the number of “panes” that are drawn, up and down. Think of a tiled floor – you determine the number and size of the tiles.

Tile Type:

(0) draws the images one after the other. (1) and (2) leave gaps between the tiles. (3) forces mirror images in the tiles.


The Psychedelic Screen Saver

PlugIns

Plug-In Modules are 3rd party modules that you can use to increase the variety of patterns that The Psychedelic Screen Saver can use. Like the modules that come with the screen saver, these modules can take advantage of the sound sync capabilities and the palette animation capabilities provided by Psych. In order to use Plug-In Modules you must be using version 3.9.950 (or later) of The Psychedelic Screen Saver. To install a Plug-In module, just copy it (usually a *.DLL file) to the PlugIns subdirectory under the directory where you installed Psych.

You can find more information about Plug-In Modules as well as a number of Plug-Ins on our WWW site at:

http://www.synthesoft.com

Plug-In Module SDK

The Plug-In Module SDK allows programmers to create their own modules that can be used with The Psychedelic Screen Saver. Like the modules included with the screen saver, Plug-In Modules can take advantage of all of the features provided by the core engine.

These features include:

· Sound Sync capability
· Palette/Color control
· Configuration of control values
· Storage of control values
· On-the-fly video mode switching

You can find more information about Plug-In Modules and download the SDK from our WWW site at:

http://www.synthesoft.com


The Psychedelic Screen Saver

Polygon

Vertices:

The number of corners, which also determines the number of sides. The more vertices, the more complex the final design.

Symmetry:

Determines whether the image is fixed in one place and “mirrored”, like a snowflake, or whether it is random and has freedom to change shape and position.

Speed:

Controls the rate of movement, or drawing.

Outline:

Set at (0), there is no definable edge on the polygon. Set at (1), there is a border one pixel wide around the entire edge that contracts with the color of the polygon itself.

X Tiling:

Determines the number of “panes” that are drawn, left to right. Think of a tiled floor – you determine the number and size of the tiles.

Y Tiling:

Determines the number of “panes” that are drawn, up and down. Think of a tiled floor – you determine the number and size of the tiles.

Tile Type:

(0) draws the images one after the other. (1) and (2) leave gaps between the tiles. (3) forces mirror images in the tiles.


The Psychedelic Screen Saver

Random

Actv/Svd/Snd

(0) (Active) Randomly displays the modules that are checked in the Edit Displays dialog.
(1) (Saved) Randomly selects from the list of saved displays.
(2) (Sound) Randomly selects from the list of saved displays that synchronize with sound.

Maximum at Once:

If the first setting is set to (0) (active modules) then this specifies the maximum number of modules can simultaneously be displayed. If the first setting is not set to (0) then this control doesn’t do anything.

Duration:

Determines how long the each selection will be displayed before the next selection is picked.

Random Controls:

If the first setting is set to (0) (active modules) then this forces all of the controls for the selected modules to be set to random values. Note that this does NOT change any of the module settings permanently. If the first setting is not set to (0) then this control doesn’t do anything.

Clear Screen:

If set at (0), the screen will not be cleared when the next saved setting is drawn. Set at (1), then the screen will clear between each saved setting.


The Psychedelic Screen Saver

Ray

Frequency:

Determines the shape of the pattern – loose flowing edges, or rough, uneven sides.

Amplitude:

Controls the density of the pattern’s color rings bring drawn. Higher values create a busier texture.

Density:

Controls the overall “business”, of the pattern. Lower values create more smoothly flowing color patterns.

Folding:

Lower values allow more random drawing of the edges, while higher values present a more ordered, boxier pattern.

Shift Rate:

Determines how quickly the colors in the pattern “melt” into each other.

Ray Type:

Determines the general “attitude” of the pattern drawn. Experiment to suit your mood.

Diffuse:

Controls the contrast between pixels. Higher settings give more of a “spray paint” effect.


The Psychedelic Screen Saver

Sequencer

The Sequencer is a bit different from the other modules in that it doesn’t produce patterns. Instead, it allows you to group a specific set of displays in a given order with specific play time durations.
There are two lists displayed in the sequencer, the list to the left contains a list of all of the Displays which can be added to a sequence. The list to the right contains all of the Displays which have been selected as part of the sequence.

Note that a sequence cannot contain another sequence or a Display that uses the “Random” module.

All - - >:

Copies all of the Displays from the list of available displays into the sequence.

- - >:

Copies the currently selected Display from the list of available displays into the sequence.

<- -:

Removes the currently selected Display from the sequence.

All <- -:

Removes all of the displays from the sequence.

Up:

Moves the currently selected Display in a sequence to the previous position in the sequence.

Down:

Moves the currently selected Display in a sequence to the next position in the sequence.

Seconds:

This determines the duration in seconds that a Display will run for when it is added to a sequence. Note that this value is only used when adding a new Display (or Displays) to a sequence.

Clear First:

This determines whether the screen will be cleared prior to running a Display. Note that this value is only used when adding a new Display (or Displays) to a sequence.

Play In Order:

Determines whether the Displays in a sequence will be played sequentially or randomly. This value is global and effects all Displays in the sequence.

Allow Quick Preview:

Determines whether or not a selected sequence will be previewed in the preview window (to the right of the Display list windows).


The Psychedelic Screen Saver

Sphere

Size:

The radius of the sphere(s), in pixels.

Symmetry:

Controls how the sphere(s) are drawn. Higher values force them to draw in circles, lower values randomly dot the screen.

Type:

Determines how individual spheres are drawn. Lower values are similar to a raindrop, where the color flows from the center out, and higher values vary the point at which the color flows from on the sphere’s edge, like a wave.

Duration:

Specifies the number of seconds before the image is redrawn.

X Tiling:

Determines the number of “panes” that are drawn, left to right. Think of a tiled floor – you determine the number and size of the tiles.

Y Tiling:

Determines the number of “panes” that are drawn, up and down. Think of a tiled floor – you determine the number and size of the tiles.

Tile Type:

(0) draws the images one after the other. (1) and (2) leave gaps between the tiles. (3) forces mirror images in the tiles.


The Psychedelic Screen Saver

Stain

Nodes:

The nodes are “centers,” or points of origin. An “outline” is drawn around the nodes. Increasing the number of nodes increases the edges and overlapping areas.

Folding:

Controls how tight the “weave,” or edges are in relation to each other. The higher the value, a less random, boxier shaped design is obtained. Lower values yield more circular shapes.

Type:

Determines which stain sub-type will be used to generate the image. Drastically affects the finished look.

Duration:

Specifies the number of seconds before the image is redrawn.

X Tiling:

Determines the number of “panes” that are drawn, left to right. Think of a tiled floor – you determine the number and size of the tiles.

Y Tiling:

Determines the number of “panes” that are drawn, up and down. Think of a tiled floor – you determine the number and size of the tiles.

Tile Type:

(0) draws the images one after the other. (1) and (2) leave gaps between the tiles. (3) forces mirror images in the tiles.

Diffuse:

Controls the contrast between pixels. Higher settings give more of a “spray paint” effect.


The Psychedelic Screen Saver

Star

Stars:

The number of objects that are drawn. They are not all drawn at once, so when testing watch for a few seconds before determining if you have the proper amount.

Star Size:

This controls how fat the stars will be when drawn. They can go from wispy to the size of a baseball bat.

Speed:

The velocity that the stars have when travelling from the center to the edges.

X Revolve:

Applies a “pinch” effect to the stars. Positive values force the stars to travel upward, and negative values force a downward direction. In each direction, the higher the value, the more “pinched” the look in the screen center, as if a belt were placed around the stars.

Y Revolve:

Applies a “pinch” effect to the stars. Positive values force the stars to travel to the left, and negative values force the stars to the right. In each direction, the higher the value, the more “pinched” the look in the screen center, as if a belt was placed around the stars.

Z Revolve:

Causes the stars to move in a circular direction. Negative values in this setting cause counter-clockwise rotation, positives, clockwise. The higher the value, the stronger the pull to the center, or gravity.

Rotation:

The spin rate of the individual stars. You can’t see this effect unless the star sides setting is two (2) or greater.

Star Sides:

Determines the number of edges the objects (stars) will have.

Star Type:

Determines the look of the star – outlined with fill, hollow, et cetera. Experiment to taste.

Symmetry:

Controls the degree to which the stars mimic each other. Higher settings produce more circular, uniform results, lower values allow more random activity.


The Psychedelic Screen Saver

Vortex

Points on Edge:

Determines how many vertices, or corners, the final vortex will have. These points will always be equal distances from each other.

Spasticity:

The “caffeine” setting. This value determines whether the vortex calmly spirals inward, or vibrates and jitters like it’s had a lot of coffee.

Amplitude:

Determines the rate of twisting as the vortex spirals inward. Higher values produce tight rings, as the twisting speed is increased.

Duration:

Determines how long the image remains until being redrawn.

Type:

This determines how the palette will look on the vortex. Different values paint the colors in slightly different ways. Experiment for best results.

Collapse Rate:

Controls the speed from the edges to the center as the vortex is drawn. Faster collapse rates yield bigger panes of color (like a stained glass window).

Radius Flux:

Controls the angles between the points on the edge of the vortex. This setting is directly affected by the Flux Amplitude setting, which determines the degree or level of the flux effect.

Flux Amplitude:

Controls the strength with which the value set in Radius Flux is applied. Higher values are greater amplification – think of this as a “volume control” for the Radius Flux control.


The Psychedelic Screen Saver

Whip

Whips:

Controls the number of individual whips drawn.

Symmetry:

Determines how many mirror images will be drawn. Higher values yield more circular shapes.

Trail Length:

Determines how long the trail of the whip gets.

Width:

Controls how much girth, or width, the objects can grow to within the whip(s).

Speed:

The speed at which the animation is drawn.

Duration:

Determines how long the whip will exist before being redrawn.

Object Rotation:

Controls the rate of spin each individual polygon in the whip will have. The objects will all rotate together in synchronous fashion – this value only controls the spin rate.

Object Sides:

Determines how many sides the polygons in the whip will have.

Object Type:

Controls the appearance of the polygons – solid w/outline, solid, outline only, etc.

Angularity:

The “cohesiveness” of the parts. Lower settings allow the individual parts of the whip to fly apart randomly, while higher settings produce a flowing, snake-like effect.

Density:

Determines the number of entities that make up the whole. Lower values produce a more solid object, higher values create a more fragmented appearance.

Frequency:

The relative pattern that the whip will bounce around in. Lower values allow for rounder bouncing, almost like a sheet blowing in the breeze, where higher values create a more robotic appearance.

Offset:

Controls the rate at which the polygons in the whip grow and shrink. Setting this value to a sound-responsive setting produces shapes that pulse with the beat.


The Psychedelic Screen Saver

Auxiliary Settings

From here you can configure additional options governing the behavior of the screen saver.

Blank screen timeout

Determines the number of minutes that the screen saver will draw before blanking the screen and completely giving up the CPU to other applications.

Timeout before password is required

Determines how many seconds the screen saver should run before it will require password validation when it wakes up. This is useful for times when the screen saver kicks in while you are reading what’s on the screen or if you step away from your workstation briefly.

Duration override (lengthen or shorten default Display durations)

This slider allows you to extend (override) the all of the Duration values used by a Display (or Displays if you are playing a sequence or using the randomizer). The value specified by this slider is the number of seconds that will be added to each of the duration values used by the Display. Since most of the displays that ship with the screen saver are configured to demonstrate the capabilities of the screen saver at a fast pace, this control is useful for slowing things down for normal viewing (or speeding them up if you have a really short attention span. . Note that, although the slider allows negative values, no duration value will be adjusted to a duration less than zero.

Disable wakeup on mouse move

By checking this check box, you prevent the screen saver from waking up when the mouse is moved. This is can be toggled while the screen saver is running by pressing the F9 key. For information on other keyboard commands, please see the Keyboard Commands section of the manual.

CPU Usage

Determines how much processing time the screen saver receives when other applications are contending for the CPU. Keep in mind that the fact that other applications are running does not imply that they are placing a high demand on the CPU. In general, it is a good idea to keep this set to the “Low” setting unless the screen saver does not appear to be animating smoothly.

Animation Speed

Controls how fast the animations are drawn. This allows users of faster systems to slow things down so that they can watch them.

Seconds to display title

This allows you to configure how long the name of the currently running settings will be displayed in the top center of the screen before being erased. A setting of zero will keep the name from being displayed at all.


The Psychedelic Screen Saver

Sound

Use the controls here to configure general options relating to the interaction between CD/Spectrum Pro and The Psychedelic Screen Saver. To configure a particular palette or module control to use sound, select the "Palette" or module panel and set the "Source" for the control to one of the sound options. Please note that not all controls support sound based sources.

If you are looking for tips and tricks on how to use the screen saver with sound, be sure to read FAQ item #1.

Turbo Mode

If CD/Spectrum Pro is running and this is checked, the all sound sources that specify a frequency source will be forced to a “Volume” source at run time. This keeps CD/Spectrum Pro from having to do some time consuming operations to the data that it sends on to the screen saver.

Display CD Info

If CD/Spectrum Pro is running and this is checked, the title, track, and artist information for the current audio CD will be displayed in the lower left corner of the screen for a few seconds every time a new track begins.

Auto run CDS/Pro

If this is checked, then CD/Spectrum Pro will be run whenever the screen saver is run. We recommend that you leave this turned off to avoid scenarios where you leave your system for a few minutes and the screen saver kicks in and launches the Megadeath CD you just purchased at peak volume. This particular option may not be conducive to good relations with your coworkers or housemates.

Auto Adjust Gain

If this is checked, the screen saver will attempt to adjust the gain level that is applied to the data from CD/Spectrum Pro to provide reasonable visual appearance. If this is not checked, you will need to adjust the gain slider in CD/Spectrum Pro manually.

Amplitude Homing

This slider determines how aggressively the sound engine will optimize the auto-gain level for the sound amplitudes it receives.


The Psychedelic Screen Saver

Video Mode

Use the controls here to set the video mode that the screen saver will use when it runs. When the screen saver is invoked, it will switch into the video mode you have specified and when it exits, it will switch back to the original video mode. This is panel is especially useful to people who run in either high color or true color video mode but would like to run the screen saver in a 256 color mode (where it looks best).

Please note that the screen saver can only provide this feature if Microsoft’s DirectX Extensions are installed on your system. You can find out if you have the extensions installed by selecting the "Video Mode" panel. If there is a message telling you that they are not installed then you can download them (at no charge) from Microsoft’s web site at: http://www.microsoft.com/directx/

Display device:

This shows you the name of the display device that is currently being configured. Most systems will have only one display device but Windows 98 and Windows 2000 support multiple monitor configurations which may have up to 16 display devices. Each of these devices can be selected and configured independently of the others.

Default mode for this device:

This provides you with information about the video mode that the current display device is currently using. It will tell you the number of colors supported and the x and y resolutions of the mode.

Run screen saver in:

This provides you with information about the video mode that the screen saver will use.

Available video modes for this device:

This is a list of the video modes that are supported by the currently selected display device. Please keep in mind that some video modes may be supported by your card that are not supported by your monitor. Changing the display mode into an unsupported mode can leave your display unreadable. As a result, it's best to avoid choosing a display mode that you can't test first.

Set

Set the video mode that the screen saver will use for the current display device to the selected entry in the “Available video modes” list.

Clear (use default mode)

This button will set the video mode for the currently selected display device to the video mode displayed in the "Default mode" box.

Test

Tests the currently selected entry in the “Available Modes” list.


The Psychedelic Screen Saver

How To...

This section contains information on how to accomplish some of the more common tasks relating to the operation of the screen saver.

  • How to create a Display

  • How to remove SS Runner


The Kinemorphic 3D Screen Saver

Index

  • Product overview

  • System Requirements

  • Keyboard Commands

  • Configuration Dialog

    • Choose Display

    • Edit Displays

      • Environment

        • 3D Settings

        • Background Settings

      • Modules

    • Auxiliary Settings

    • Sound

  • How to accomplish some common tasks

  • Support / Questions


The Kinemorphic 3D Screen Saver

"In all chaos there is a cosmos, in all disorder a secret order."
Carl Jung

The Kinemorphic 3D Screen Saver will animate an endless variety of spectacular 3D patterns and images. As the 3D patterns animate on your screen, the objects, images, lighting, and colors will move through, around, and on top of each other. Kinemorphics has been designed to give you an unprecedented amount of control over the effects used. You can use your own graphical images as object textures and backgrounds while Kinemorphics generates extraordinarily realistic lighting effects on top of stunning, living 3D objects.

The Kinemorphic 3D Screen Saver has been designed to work in conjunction with CD/Spectrum Pro in order to provide stunning visual effects that synchronize with the sounds from an audio source (like the CD player in your computer or an MP3 file). With many of the module controls you can associate a sound frequency, a range of effect, and a sensitivity. Fluctuations in the amplitude of the frequency will oscillate the control values within the range of effect.


The Kinemorphic 3D Screen Saver

System Requirements

  • The Kinemorphic 3D Screen Saver runs quite nicely on a 133MHz Pentium system. However, if it is being used in conjunction with CD/Spectrum Pro then you'll probably want at least a 200 MHz Pentium based system.
  • Microsoft Windows 95/98, Windows NT 4.0, or Windows 2000

Release Notes

  • Installing The Kinemorphic 3D Screen Saver will overwrite prior versions of The Kinemorphic 3D Screen Saver. If you've installed a previous version you may want to backup, rename, or otherwise save the file "kine.scr" in your \system directory (on Win95) or \system32 directory (on WinNT). Newer versions of The Kinemorphic 3D Screen Saver support settings created by earlier versions.
  • Purchasing The Kinemorphic 3D Screen Saver provides you with a license to use all updates to this version of the software and all previous versions.
  • In order for The Kinemorphic 3D Screen Saver to display graphics which synchronize with sound, you must have a sound card installed (and properly configured) in your system and CD/ Spectrum Pro must be running .


The Kinemorphic 3D Screen Saver

Keyboard Commands

There are a number of keyboard commands that you can use to control the screen saver while it is running.

F1 - Captures the current display and saves it to the list of saved displays. You can select, rename, review, and/or edit the display in the Main Settings panel for the screen saver. The captured display will show up under the name “Capture #n” where “n” is the number of the capture.

F2 - Advances the screen saver to the next set of settings for the current display. If you are running in a random mode where you are selecting from the saved displays, then you will get a new display. If you are running in a random mode where you are selecting from a set of modules, a new subset will be selected.

F5 - Toggle suspend/resume drawing.

F9 - Toggle disable/enable mouse interrupt. You can use this to stop (or start) mouse movements from waking up the screen saver. Keep in mind that you can still wake up the screen saver by pressing a keyboard key that is not part of this command list.

Left Arrow - Moves CD player back one song (when CD/Spectrum Pro is running)..

Right Arrow - Moves CD player forward one song (when CD/Spectrum Pro is running)..

Up Arrow - Increases audio volume (when CD/Spectrum Pro is running).

Down Arrow - Decreases audio volume (when CD/Spectrum Pro is running).

1 - 9 - Jump to track 1 - 9 (when CD/Spectrum Pro is running).

TAB - Lock module(s) parameters (i.e. turns random module off).

+ / - - Increase / decrease drawing speed.

DEL - Stop the animations and blank the screen.

Left Shift - Override the actual sound/oscillation amplitude by simulating a low amplitude wave.

Right Shift - Override the actual sound/oscillation amplitude by simulating a high amplitude wave.

S - Capture the current screen to a file in the Screen Shots subdirectory in the directory where Kine was installed. If you hold down the S key each frame of the animation will be captured to a numbered file (like KIN-0001.BMP, KIN-0002.BMP, etc…).

W - Set the current desktop wallpaper to the frame of the animation that is currently being displayed. The file will appear in your Windows directory as a numbered BMP file (like BACK0001.BMP, BACK0002.BMP, etc…).


The Kinemorphic 3D Screen Saver

Configuration Dialog

The Configuration Dialog allows you to configure the properties that govern the behavior of the screen saver and the patterns it produces. You can bring up the Configuration Dialog, right-click on SS Runner (the [image] icon in your taskbar), choosing "Configure", and then selecting "The Kinemorphic 3D Screen Saver" from the menu. If you don't have SS Runner installed, you can right-click on the desktop, choose "Properties" from the pop-up menu, and then select the "Screen Saver" page of the "Display Properties" dialog. From there you can select "The Kinemorphic 3D Screen Saver" and then press the "Settings" button to bring up the Configuration dialog.

For information about specific controls within the Configuration dialog, please select the corresponding topic from the index below:

  • Choose Display

  • Edit Displays

    • Environment

      • 3D Settings

      • Background Settings

    • Modules

  • Auxiliary Settings

  • Sound


The Kinemorphic 3D Screen Saver

Choose Display

This panel provides you with a convenient way to browse and select a Display from the list of available Displays. The Display that is selected will be used whenever the screensaver is run.

Here is a brief description of the controls on this page.

Saved Displays

From here you can pick the Display that will be used when the screen saver runs. To pick a new display from the list of available displays, select its name from those in the display chooser control. If the Quick preview is enabled then the currently selected display will be previewed in the Preview Window.

The CD Icon to the left of the display chooser will indicate whether or not a Display was authored to support sound synchronization. If a Display supports sound synchronization then you can launch CD/Spectrum Pro, select a sound source (like a CD or MP3 file), and run the screen saver to get visuals which move with the sounds from the sound source.

Enable Quick Preview

If this is checked then the currently selected Display will be previewed in the small preview window. The preview window will always display the last saved version of a Display so, if you make changes to a display, you’ll need to save them before the preview window will display them. If you have a slower system you may want to disable the quick preview in order to keep the user interface as responsive as possible.

Full Screen Preview

This button will launch the screen saver in full screen mode.

Register or About

This button will launch a small application that lists the Synthesoft products you have installed and their versions. It also provides you with all the information you need to:

  • Purchase a license for a Synthesoft product
  • Enter a registration code for a Synthesoft product to remove the reminder messages
  • Get support for a Synthesoft product
  • Get to the Synthesoft Web Site


The Kinemorphic 3D Screen Saver

Edit Displays

Use the controls here to build and manage your Displays. A Display is comprised of one or more modules and an environment. The modules provide the structure of the shapes used in the display while the environment controls the background image, texture usage, 3D settings, and lighting properties. To select which modules are used, right click your mouse on the Module Icon (looks like a gray 'M') to bring up the Options Menu and then select the module you wish to use from the "Add Module" sub menu. Each of the modules you select will be added to the Display hierarchy. You can edit the controls for the modules you've added by selecting the module you want to edit in the Display hierarchy and the controls for that module will appear to the right. For a simple walkthrough of the steps necessary to create a display, please see read How to Create a Display.

Options Menu (right mouse click on Display hierarchy window)

Import *.KIN File(s)...

Import Display settings that you obtain from other users of the software. Importing a setting will copy it from its original location into your settings directory. In addition, the import process will convert a Display authored with an older version of the the software into a setting compatible with the current version.

Delete Current Display

Completely removes the currently selected Display from the system.

Add Module

Allows you to select which module(s) will be included in your Display. To remove a module from your display, select the module you wish to remove by clicking on it in the Display hierarchy window and then press the Delete key on the keyboard.

Other controls...

Saved Displays

From here you can pick the Display you want to edit. When you select a new display, the Display is loaded into the Display hierarchy window so that you can select and edit its components..

Save

Saves the changes you've made to the current Display.

Save As...

Saves the changes you've made to a new Display with a different name. While you can save Displays to any folder you like, only Displays in the settings folder are available to the screen saver.

Saving a Display creates a *.KIN file bearing the name you gave it. KIN files can be launched by double clicking on them from the Windows Explorer. They can also be placed on web site where users can launch them simply by pressing the link.

Clear first

If this is checked, your screen will be cleared to black when the screen saver first starts.

Module Controls

Module controls are discussed individually in their respective section of the documentation.


CDSPro FAQ: Why isn't the spectrum animating?

Environment

The Environment settings are changes that effect the 3D "world" that the current display runs in. There are two parts to the Environment, 3D Settings and Background Settings.


CDSPro FAQ: Why isn't the spectrum animating?

The Kinemorphic 3D Screen Saver

3D Settings

These are the main 3D settings that effect all of the modules selected in the “Main Settings” panel...

Local Lighting - This is what gives all the objects the smooth shaded (lit) look. You will usually want this on unless you are using textures and you *don’t* want to see the object colors change “through” the textures.

Wireframe - When you turn this on, all objects are drawn with “outlines”. This can be much faster, but of course, much less realistic.

Dithering - This will make colors on the screen saver flow together (or shade) more smoothly. When this is off, you will often see lines or blocks of solid colors instead of a smooth fading between colors.

Static Colors - This will make each face of every object have a random color. Other module-specific color settings and palette settings are ignored when this is on.

Perspective - You will usually want this on. Basically, this is what makes the objects (and the “viewing volume” itself) appear smaller as they move farther away and bigger as the move closer. Turning this off will keep the object the same size no matter how far or close it is (in other words, it won’t look like its moving farther or closer)...this can lead to some very different and interesting visual effects however.

Texture Mode - This determines in what way texture images (selected in the individual modules’ “texture name” fields) are applied to its module’s objects. 1 means the texture is applied directly to the object sides, 2 means the texture “sticks” to the object wherever the object happens to “hit” it, 3 means the texture is applied to the object as if it were a sphere. See the FAQ for more info on Texture Mode.

Texture Scale - This determines how big or small each module’s texture appears when mapped onto that module’s objects. This only has an effect when Texture Mode 1 or 2 is chosen. See the FAQ for more info on Texture Scale.

Shininess - Determines the relative “shininess” of all objects. A high value will make them appear very shiny (larger bright spot) and a low value will make them appear less shiny. The color of the shiny part of the objects is determined by the Specular fields.

Z Depth - Z Depth is how “deep” the viewing volume (the apparent 3D area in which Kinemorphics runs) is. When running with Perspective turned on, this will determine how far back (and how close up) objects can move when they are animating.

Clear depth freq. - This determines how often (in seconds) the stored up depth information is cleared. When the depth information is cleared, all of the old drawing is suddenly considered infinitely far away. This of course means that all subsequent frames will be drawn on top of the frames drawn prior to the clear, regardless of their depth position. A setting of 1 means the depth information is cleared after every frame of animation.

Clear screen freq. - This determines how often (in seconds) the screen is cleared. Note that this includes clearing the depth information (see Clear depth freq.). A setting of 1 means the screen (and depth information) is cleared after every frame of animation (usually more than every second). In this case (setting of 1), double-buffering is used which is a smoother way of redisplaying each frame. When the setting is greater than 1, standard single-buffering (no buffering) is used.

Object Quality - This determines how accurately “living” objects will be displayed. If you are running on a slower system, you may want to lower the object quality in order to increase performance. Conversely, if you are running on a fast system, you may want to increase the object quality in order to smooth out the angles. A value of 100 indicates that the object will be displayed at the same quality level in which it was created.

Specular (R,G,B) - These 3 fields allow you to specify the color (in red, green, and blue components) of the specular highlight (shiny part) of the objects. The size of this specular highlight is determined by the Shininess field.


CDSPro FAQ: Why isn't the spectrum animating?

Background Settings

These are the settings that determine what your background looks like while Kinemorphics is running...

Background Picture - This can contain the name of a bitmap that will be drawn in the background while Kinemorphics is running. Image Quality determines how sharp the image looks. When lowered, this can sometimes improve the overall animation speed.

Background Color - This determines the color of the background. Of course, you won’t see this color if you have a Background Picture specified.


The Kinemorphic 3D Screen Saver

Modules

The active Modules for a Display define the fields, objects, colors, motions, textures, and all of the fundamental "action" that takes place when you run that Display. There are many modules to choose from and a while Display must have at least one active module, it can as many modules active as memory/CPU allow.

To add a module you right click on "Modules" in the currently selected display's tree view under the Edit Displays tab, and then select the module you wish to add from the "Add Module" submenu. To remove a module, you simply highlight the module name and press the delete key on your keyboard.

When you have a Module highlighted in the display's tree view under the Edit Displays tab, you can edit the properties for that module in the right half of the window. Note that most modules have several pages of settings that you can view and modify.

For detailed information on a particular module, see the help topic for that specific module.

Here are some general pointers on how the module controls operate. Most of the controls used in the modules are composed of several parts. To the right of a control is a drop down list box that you can use to select the source for a particular control. The source determines where that control gets information on how to calculate a value for the parameter it controls. When you change the source for a control, the rest of the control will change in order to accommodate the different types of values that that particular source requires.

Here are a few examples of the way controls will appear based upon the sources selected.

A)

B)

C)

D)

Source

  • Set - The value for the control is set to whatever value is indicated by the slider component. The controls in “A” (above) demonstrate a “Set” source. In this case, the value for the control will be set to 2.
  • Random - The value for the control is set randomly generated so that it is between the two values indicated by the two sliders. The controls in “B” (above) demonstrate a “Random” source. In this case, the value will be a random number between 0 and 100.
  • Oscillate - The value for the control will oscillate between the values indicated by the two sliders. The frequency of the oscillation can be controlled using the up/down control just to the left of the source control. Higher values for the frequency will yield faster oscillation. The controls in “C” (above) demonstrate a “Oscillate” source. In this case, the value will oscillate between 1 and 50 with a frequency of 10 (fastest).
  • Volume (and all frequency ranges) - The value for the control will set between the values indicated by the two sliders using the volume from the audio input source. The sensitivity of the audio sampling can be controlled using the up/down control just to the left of the source control. Higher values for the sensitivity will yield faster sampling and be more responsive to amplitude changes. The controls in “D” (above) demonstrate a “Volume” source (frequency sources work the same way). In this case, the value will fluctuate between 0 and 320 with a sensitivity of 10 (the most sensitive). These ranges could also be reversed if an inverse relationship to the audio was desired.


The Kinemorphic 3D Screen Saver

The Bounce Module

The Bounce module contains 9 pages of information. The page can be set by the arrows in the upper-left corner of the module’s tab.

Page 1 - Field Origin Motion

This page describes how the origin (or center-point) of the “field” moves. This is the only page that differs between the “motion” modules, and this field movement defines the difference between them.

A field is a set of points. At each point in a field, an “object” is drawn (see the page 3 documentation below for a description of objects). Field complexity can range from a single point (this is the default if you don’t specify a field name) to a large list of points in 3D space that are “static” (set in 3D space relative to one another) or “living” (meaning, moving in a pattern relative to one another).

The center of a field is what you apply a high-level motion to in page 1 of each module’s settings. For example, using the Bounce module, you choose how the center-point for the field bounces around in 3D space in page 1 of the Bounce module.

The “Reset” field determines how long this particular module resets itself. That is, how often it clears the screen and starts again, reinitializing any random settings.

The "Strength" field determines how quickly this module moves relative to the other active modules.

Page 2 - Field Properties

Unlike page 1 which specifies how the entire field moves through space, page 2 allows you to specify how each field moves around its origin. In other words, you can think of the field as a living entity that moves through 3D space (specified by page 1), but “walks” a certain way (specified by page 2).

First of all, you can specify the name of a field. The fields are kept in the “fields” subdirectory of the directory Kinemorphics is installed in. Each field is kept in a *.FLD file. If you do not specify a field file name, a single point field will be defined at the field origin. You can also choose to Model your own fields.

You can also specify how the field rotates about its origin in all three directions in 3D space and the scale (or size) of the field in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 3 - Object Properties

Objects, as mentioned above, are the 3D objects that are drawn at each point in a field. For instance, you could specify a “Pawn” object for the Cyclic module. If the Cyclic module has a field which consists of 2 points, you will see the Cyclic module move 2 pawns through 3D space.

This page allows you to specify how each object moves around its origin (not to be confused with the field’s origin).

First of all, you can specify the name of an object. The objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own objects.

You can also specify how the object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 4 - Object Visual Properties

Texture Name - Textures are graphical images (bitmaps) that are applied in various ways to the sides of the objects. How module textures are applied is controlled under the 3D Settings tab. You can specify that textures are mapped “solidly” onto the sides of the objects (texture mode 1), that textures are laid out in space and mapped onto objects “fluidly” as the objects intersect them (texture mode 2), or that textures are mapped onto the sides of the object “solidly” as if the object were a sphere (texture mode 3). You can also specify how the bitmap textures are scaled under the 3D settings tab (scaling only effects textures when using texture mode 1 or 2).

Red, Green, and Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if you specify a custom palette on Page 7.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if you specify a custom palette on Page 7.

Texture Tile - When on, the texture you use (if any) is tiled 2x2. When off, the texture is not tiled at all.

Page 5 - Drawing Properties

This page lets you specify various module-specific effects.

X Tile, Y Tile, and Z Tile - This allows you to specify that whatever is drawn by this module be repeated in the X, Y, and Z (depth) directions.

X Flip, Y Flip, and Z Flip - This is closely tied to the Tiling options (previous line). Turning flipping on in a particular direction specifies that the tiling is flipped (mirrored) for every two tiles in that particular direction. This only has an effect if tiling is greater than one for that direction.

Symmetry - Like tiling, this allows you to specify that the drawing be repeated. However the repeating is done in a circle instead of tiled like a grid.

Mirror - When Symmetry is greater than one, this specifies whether the symmetry is flipped (mirrored) for every two tiles (much like X, Y, and Z Flip effect the tiling).

Sweep - This specifies how far around a circle the symmetry goes. In other words, if you have symmetry set to 4 and sweep set to 360, each of the 4 fields is 90 degrees apart (like 4 compass points). If you reduce the Sweep, those 4 fields will be squeezed into the portion of a circle you specify (180 would put the “symmetried” fields into a half-circle).

Page 6 - Orientation

This page lets you specify the overall orientation of the module.

X Orientation, Y Orientation, and Z Orientation - This allows you to define the overall 3-dimensional orientation of the module. The default (0,0,0) means that the module is oriented around the z-axis (i.e. the axis from near to far).

Page 7 - Custom Palette

This page lets you override the standard color handling in Page 4 with a saved custom palette. You may create custom palettes using the Palette Designer tab. You may then specify a saved palette in the Palette Name field.

Palette Name - Specify the name of a palette (stored in the Palettes directory) that this module should use for its colors.

Color Step - Allows you to specify how fast this module cycles through the colors in the specified palette.

Page 8 - Fur Object Properties

Fur objects are similar to main objects (see page 3 documentation above). Fur objects however are drawn at each vertex (point) of the main object.

This page allows you to specify the object to use as a fur object, which vertices the fur object is applied to, and a size and rotation for the fur objects.

First of all, you can specify the name of a fur object. All objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own fur objects.

You can also specify a Vertex Step and a Vertex Shift. Vertex Step specifies how often the fur object is applied to a vertex. The default is 5, so by default the fur object is drawn at every 5th vertex of the object. When a Vertex Step of more than 1 is specified, then Vertex Shift can allow the fur objects to "step" along the vertices, giving the appearance of the fur objects "walking" across the main object.

You can also specify how the fur object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 9 - Fur Color Properties

Use Main - This instructs Kinemorphics to give the Fur objects the same color and texture as the main object (regardless of the other settings on this page).

Fur Red, Fur Green, and Fur Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if Use Main (see above) is turned on.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if Use Main (see above) is turned on.


The Kinemorphic 3D Screen Saver

The Branch Module

The following is intended as a brief overview of what each control does in the Branch module. This module contains 9 pages of information. The page can be set by the arrows in the upper-left corner of the module’s tab.

Page 1 - Tree Properties

This page describes how the overall “tree” (or set) of branches appears.

X, Y, and Z Start Position - Define the 3-dimensional position in which the tree starts growing. 0,0,0 means that the tree starts growing right in the center of the scene.

Depth - Defines how “deep” the tree is. In other words, a tree that is only 3 deep is typically going to be a very short and simple tree. A tree that is 8 deep will be taller and usually much more complex. NOTE: Be careful setting your “tree” up to have a huge Depth and a huge number of Branches! You could easily end up creating a tree that takes many minutes to create.

Branches - Defines how many “branches” branch off of each “node” (a node is an element of the tree). NOTE: Be careful setting your “tree” up to have a huge Depth and a huge number of Branches! You could easily end up creating a tree that takes many minutes to create.

Branch Chance - Determines the % (percent) chance there is that a branch is generated at a given node. If Branch Chance is 100% and you have number of Branches set to 5, then 5 branches will be generated for every node. If Branch Chance is set to 50% and number of Branches is 5, then each of the 5 branches at a given node has a 50% chance of coming into being. Note that there is always at least 1 branch per node until the depth limit is reached.

Clear Per Tree - Determines whether the screen is automatically cleared after each tree is generated (this clear is independent of the “Clear screen freq.” field found in 3D Properties).

Pause Length - Determines number of seconds (0 to 10) that the Branch module should pause drawing after each tree is drawn.

The “Reset” field determines how long this particular module resets itself. That is, how often it clears the screen and starts again, reinitializing any random settings.

Page 2 - Random Properties

This page determines whether the Branch module’s object properties (see Page 3 below) are randomized per node or not.

Random X, Y, and Z Angle - Determines whether the X, Y, and Z angles, respectively, are randomized for every node to be between 0 and “X, Y, and Z Angle” as specified in Page 3.

Random X, Y, and Z Scale - Determines whether the X, Y, and Z scales, respectively, are randomized for every node to be between 0 and “X, Y, and Z Scale” as specified in Page 3.

Page 3 - Object Properties

Objects, as mentioned above, are the 3D objects that are drawn at each point in a field. The Branch Module always uses a single-point field! The Pipe object is generally a good one for the Branch Module, although, as always, you can get some cool effects by experimenting.

This page allows you to specify the branch angle of each object in the tree (what direction it branches toward) and the scale of each object in the tree.

First of all, you can specify the name of an object. The objects are kept in the “objects” subdirectory of the directory Kine is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own objects.

X, Y, and Z Angle - Determines the X, Y, and Z angles, respectively, in which each “node” (or object) branches. This can be effected by the Random Properties on Page 2. When you choose “Random” or “Oscillate” for these properties here (on Page 3), you are randomizing per tree…not per node as with Page 2.

X, Y, and Z Scale - Determines the X, Y, and Z scales, respectively, in which each “node” (or object) branches. This can be effected by the Random Properties on Page 2. When you choose “Random” or “Oscillate” for these properties here (on Page 3), you are randomizing per tree…not per node as with Page 2.

Size Adjust % - This determines how much smaller (or larger) each “node” (or object) becomes as you get farther into the tree. For instance, 100% will mean that all “nodes” (or objects) are the same size throughout the tree as determined by X, Y, and Z Scale (unless Random X, Y, or Z Scale is specified on Page 2). 80% would mean each “node” is 80% smaller than its “parent node” (again, unless you’ve randomized the scales on Page 2).

Page 4 - Object Visual Properties

Texture Name - Textures are graphical images (bitmaps) that are applied in various ways to the sides of the objects. How module textures are applied is controlled under the 3D Settings tab. You can specify that textures are mapped “solidly” onto the sides of the objects (texture mode 1), that textures are laid out in space and mapped onto objects “fluidly” as the objects intersect them (texture mode 2), or that textures are mapped onto the sides of the object “solidly” as if the object were a sphere (texture mode 3). You can also specify how the bitmap textures are scaled under the 3D settings tab (scaling only effects textures when using texture mode 1 or 2).

Red, Green, and Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running.

Texture Tile - When on, the texture you use (if any) is tiled 2x2. When off, the texture is not tiled at all.

Page 5 - Drawing Properties

This page lets you specify various module-specific effects.

X Tile, Y Tile, and Z Tile - This allows you to specify that whatever is drawn by this module be repeated in the X, Y, and Z (depth) directions.

X Flip, Y Flip, and Z Flip - This is closely tied to the Tiling options (previous line). Turning flipping on in a particular direction specifies that the tiling is flipped (mirrored) for every two tiles in that particular direction. This only has an effect if tiling is greater than one for that direction.

Symmetry - Like tiling, this allows you to specify that the drawing be repeated. However the repeating is done in a circle instead of tiled like a grid.

Mirror - When Symmetry is greater than one, this specifies whether the symmetry is flipped (mirrored) for every two tiles (much like X, Y, and Z Flip effect the tiling).

Sweep - This specifies how far around a circle the symmetry goes. In other words, if you have symmetry set to 4 and sweep set to 360, each of the 4 fields is 90 degrees apart (like 4 compass points). If you reduce the Sweep, those 4 fields will be squeezed into the portion of a circle you specify (180 would put the “symmetried” fields into a half-circle).

Page 6 - Orientation

This page lets you specify the overall orientation of the module.

X Orientation, Y Orientation, and Z Orientation - This allows you to define the overall 3-dimensional orientation of the module. The default (0,0,0) means that the module is oriented around the z-axis (i.e. the axis from near to far).

Page 7 - Custom Palette

This page lets you override the standard color handling in Page 4 with a saved custom palette. You may create custom palettes using the Palette Designer tab. You may then specify a saved palette in the Palette Name field.

Palette Name - Specify the name of a palette (stored in the Palettes directory) that this module should use for its colors.

Color Step - Allows you to specify how fast this module cycles through the colors in the specified palette.

Page 8 - Fur Object Properties

Fur objects are similar to main objects (see page 3 documentation above). Fur objects however are drawn at each vertex (point) of the main object.

This page allows you to specify the object to use as a fur object, which vertices the fur object is applied to, and a size and rotation for the fur objects.

First of all, you can specify the name of a fur object. All objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own fur objects.

You can also specify a Vertex Step and a Vertex Shift. Vertex Step specifies how often the fur object is applied to a vertex. The default is 5, so by default the fur object is drawn at every 5th vertex of the object. When a Vertex Step of more than 1 is specified, then Vertex Shift can allow the fur objects to "step" along the vertices, giving the appearance of the fur objects "walking" across the main object.

You can also specify how the fur object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 9 - Fur Color Properties

Use Main - This instructs Kinemorphics to give the Fur objects the same color and texture as the main object (regardless of the other settings on this page).

Fur Red, Fur Green, and Fur Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if Use Main (see above) is turned on.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if Use Main (see above) is turned on.


The Kinemorphic 3D Screen Saver

The Cyclic Module

The Cyclic module contains 9 pages of information. The page can be set by the arrows in the upper-left corner of the module’s tab.

Page 1 - Field Origin Motion

This page describes how the origin (or center-point) of the “field” moves. This is the only page that differs between the “motion” modules, and this field movement defines the difference between them.

A field is a set of points. At each point in a field, an “object” is drawn (see the page 3 documentation below for a description of objects). Field complexity can range from a single point (this is the default if you don’t specify a field name) to a large list of points in 3D space that are “static” (set in 3D space relative to one another) or “living” (meaning, moving in a pattern relative to one another).

The center of a field is what you apply a high-level motion to in page 1 of each module’s settings. For example, using the Bounce module, you choose how the center-point for the field bounces around in 3D space in page 1 of the Bounce module.

The “Reset” field determines how long this particular module resets itself. That is, how often it clears the screen and starts again, reinitializing any random settings.

The "Strength" field determines how quickly this module moves relative to the other active modules.

Page 2 - Field Properties

Unlike page 1 which specifies how the entire field moves through space, page 2 allows you to specify how each field moves around its origin. In other words, you can think of the field as a living entity that moves through 3D space (specified by page 1), but “walks” a certain way (specified by page 2).

First of all, you can specify the name of a field. The fields are kept in the “fields” subdirectory of the directory Kinemorphics is installed in. Each field is kept in a *.FLD file. If you do not specify a field file name, a single point field will be defined at the field origin. You can also choose to Model your own fields.

You can also specify how the field rotates about its origin in all three directions in 3D space and the scale (or size) of the field in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 3 - Object Properties

Objects, as mentioned above, are the 3D objects that are drawn at each point in a field. For instance, you could specify a “Pawn” object for the Cyclic module. If the Cyclic module has a field which consists of 2 points, you will see the Cyclic module move 2 pawns through 3D space.

This page allows you to specify how each object moves around its origin (not to be confused with the field’s origin).

First of all, you can specify the name of an object. The objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own objects.

You can also specify how the object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 4 - Object Visual Properties

Texture Name - Textures are graphical images (bitmaps) that are applied in various ways to the sides of the objects. How module textures are applied is controlled under the 3D Settings tab. You can specify that textures are mapped “solidly” onto the sides of the objects (texture mode 1), that textures are laid out in space and mapped onto objects “fluidly” as the objects intersect them (texture mode 2), or that textures are mapped onto the sides of the object “solidly” as if the object were a sphere (texture mode 3). You can also specify how the bitmap textures are scaled under the 3D settings tab (scaling only effects textures when using texture mode 1 or 2).

Red, Green, and Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if you specify a custom palette on Page 7.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if you specify a custom palette on Page 7.

Texture Tile - When on, the texture you use (if any) is tiled 2x2. When off, the texture is not tiled at all.

Page 5 - Drawing Properties

This page lets you specify various module-specific effects.

X Tile, Y Tile, and Z Tile - This allows you to specify that whatever is drawn by this module be repeated in the X, Y, and Z (depth) directions.

X Flip, Y Flip, and Z Flip - This is closely tied to the Tiling options (previous line). Turning flipping on in a particular direction specifies that the tiling is flipped (mirrored) for every two tiles in that particular direction. This only has an effect if tiling is greater than one for that direction.

Symmetry - Like tiling, this allows you to specify that the drawing be repeated. However the repeating is done in a circle instead of tiled like a grid.

Mirror - When Symmetry is greater than one, this specifies whether the symmetry is flipped (mirrored) for every two tiles (much like X, Y, and Z Flip effect the tiling).

Sweep - This specifies how far around a circle the symmetry goes. In other words, if you have symmetry set to 4 and sweep set to 360, each of the 4 fields is 90 degrees apart (like 4 compass points). If you reduce the Sweep, those 4 fields will be squeezed into the portion of a circle you specify (180 would put the “symmetried” fields into a half-circle).

Page 6 - Orientation

This page lets you specify the overall orientation of the module.

X Orientation, Y Orientation, and Z Orientation - This allows you to define the overall 3-dimensional orientation of the module. The default (0,0,0) means that the module is oriented around the z-axis (i.e. the axis from near to far).

Page 7 - Custom Palette

This page lets you override the standard color handling in Page 4 with a saved custom palette. You may create custom palettes using the Palette Designer tab. You may then specify a saved palette in the Palette Name field.

Palette Name - Specify the name of a palette (stored in the Palettes directory) that this module should use for its colors.

Color Step - Allows you to specify how fast this module cycles through the colors in the specified palette.

Page 8 - Fur Object Properties

Fur objects are similar to main objects (see page 3 documentation above). Fur objects however are drawn at each vertex (point) of the main object.

This page allows you to specify the object to use as a fur object, which vertices the fur object is applied to, and a size and rotation for the fur objects.

First of all, you can specify the name of a fur object. All objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own fur objects.

You can also specify a Vertex Step and a Vertex Shift. Vertex Step specifies how often the fur object is applied to a vertex. The default is 5, so by default the fur object is drawn at every 5th vertex of the object. When a Vertex Step of more than 1 is specified, then Vertex Shift can allow the fur objects to "step" along the vertices, giving the appearance of the fur objects "walking" across the main object.

You can also specify how the fur object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 9 - Fur Color Properties

Use Main - This instructs Kinemorphics to give the Fur objects the same color and texture as the main object (regardless of the other settings on this page).

Fur Red, Fur Green, and Fur Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if Use Main (see above) is turned on.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if Use Main (see above) is turned on.


The Kinemorphic 3D Screen Saver

The Effect Module

This module allows you to apply a visual effect to all other running modules. You specify the type of effect (currently there are seven possibilities), and the frequency (strength) at which the effect is applied in the X and Y directions. A lower strength means the effect is repeated in small increments, thus, there are more steps. A higher strength means the effect is repeated in large increments, thus, there are fewer steps. The effects are applied to the depth buffer as follows…

0 - Rectangles.
1 - Ellipses.
2 - Rectangles.
3 - Ellipses.
4 - Reflected rectangles.
5 - Reflected ellipses.
6 - Grid. This is by far the coolest effect and can produce a nice transparency effect at 1x1.


The Kinemorphic 3D Screen Saver

The Matrix Module

The Matrix module contains 9 pages of information. The page can be set by the arrows in the upper-left corner of the module’s tab.

Page 1 - Field Origin Motion

This page describes how the tunnel objects are arranged. This is the only page that differs between the “motion” modules.

X, Y, Z Density - Specifies how many objects are drawn in the X, Y, and Z directions.

X, Y, Z Extent - Specifies how far apart the objects are drawn from each other.

Draw Per Clear - Determines whether the entire matrix is drawn before a clear occurs (when Clear Screen Frequency is set to 1 in the 3D Settings).

Draw Per Frame - Determines whether the entire matrix is drawn again for every frame.

The “Reset” field determines how long this particular module resets itself. That is, how often it clears the screen and starts again, reinitializing any random settings.

The "Strength" field determines how quickly this module moves relative to the other active modules.

Page 2 - Field Properties

Unlike page 1 which specifies how the entire field moves through space, page 2 allows you to specify how each field moves around its origin. In other words, you can think of the field as a living entity that moves through 3D space (specified by page 1), but “walks” a certain way (specified by page 2).

First of all, you can specify the name of a field. The fields are kept in the “fields” subdirectory of the directory Kinemorphics is installed in. Each field is kept in a *.FLD file. If you do not specify a field file name, a single point field will be defined at the field origin. You can also choose to Model your own fields.

You can also specify how the field rotates about its origin in all three directions in 3D space and the scale (or size) of the field in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 3 - Object Properties

Objects, as mentioned above, are the 3D objects that are drawn at each point in a field. For instance, you could specify a “Pawn” object for the Cyclic module. If the Cyclic module has a field which consists of 2 points, you will see the Cyclic module move 2 pawns through 3D space.

This page allows you to specify how each object moves around its origin (not to be confused with the field’s origin).

First of all, you can specify the name of an object. The objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own objects.

You can also specify how the object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 4 - Object Visual Properties

Texture Name - Textures are graphical images (bitmaps) that are applied in various ways to the sides of the objects. How module textures are applied is controlled under the 3D Settings tab. You can specify that textures are mapped “solidly” onto the sides of the objects (texture mode 1), that textures are laid out in space and mapped onto objects “fluidly” as the objects intersect them (texture mode 2), or that textures are mapped onto the sides of the object “solidly” as if the object were a sphere (texture mode 3). You can also specify how the bitmap textures are scaled under the 3D settings tab (scaling only effects textures when using texture mode 1 or 2).

Red, Green, and Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if you specify a custom palette on Page 7.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if you specify a custom palette on Page 7.

Texture Tile - When on, the texture you use (if any) is tiled 2x2. When off, the texture is not tiled at all.

Page 5 - Drawing Properties

This page lets you specify various module-specific effects.

X Tile, Y Tile, and Z Tile - This allows you to specify that whatever is drawn by this module be repeated in the X, Y, and Z (depth) directions.

X Flip, Y Flip, and Z Flip - This is closely tied to the Tiling options (previous line). Turning flipping on in a particular direction specifies that the tiling is flipped (mirrored) for every two tiles in that particular direction. This only has an effect if tiling is greater than one for that direction.

Symmetry - Like tiling, this allows you to specify that the drawing be repeated. However the repeating is done in a circle instead of tiled like a grid.

Mirror - When Symmetry is greater than one, this specifies whether the symmetry is flipped (mirrored) for every two tiles (much like X, Y, and Z Flip effect the tiling).

Sweep - This specifies how far around a circle the symmetry goes. In other words, if you have symmetry set to 4 and sweep set to 360, each of the 4 fields is 90 degrees apart (like 4 compass points). If you reduce the Sweep, those 4 fields will be squeezed into the portion of a circle you specify (180 would put the “symmetried” fields into a half-circle).

Page 6 - Orientation

This page lets you specify the overall orientation of the module.

X Orientation, Y Orientation, and Z Orientation - This allows you to define the overall 3-dimensional orientation of the module. The default (0,0,0) means that the module is oriented around the z-axis (i.e. the axis from near to far).

Page 7 - Custom Palette

This page lets you override the standard color handling in Page 4 with a saved custom palette. You may create custom palettes using the Palette Designer tab. You may then specify a saved palette in the Palette Name field.

Palette Name - Specify the name of a palette (stored in the Palettes directory) that this module should use for its colors.

Color Step - Allows you to specify how fast this module cycles through the colors in the specified palette.

Page 8 - Fur Object Properties

Fur objects are similar to main objects (see page 3 documentation above). Fur objects however are drawn at each vertex (point) of the main object.

This page allows you to specify the object to use as a fur object, which vertices the fur object is applied to, and a size and rotation for the fur objects.

First of all, you can specify the name of a fur object. All objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own fur objects.

You can also specify a Vertex Step and a Vertex Shift. Vertex Step specifies how often the fur object is applied to a vertex. The default is 5, so by default the fur object is drawn at every 5th vertex of the object. When a Vertex Step of more than 1 is specified, then Vertex Shift can allow the fur objects to "step" along the vertices, giving the appearance of the fur objects "walking" across the main object.

You can also specify how the fur object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 9 - Fur Color Properties

Use Main - This instructs Kinemorphics to give the Fur objects the same color and texture as the main object (regardless of the other settings on this page).

Fur Red, Fur Green, and Fur Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if Use Main (see above) is turned on.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if Use Main (see above) is turned on.


The Kinemorphic 3D Screen Saver

The Position Module

The Position module contains 9 pages of information. The page can be set by the arrows in the upper-left corner of the module’s tab.

Page 1 - Field Origin Motion

This page describes how the origin (or center-point) of the “field” moves. This is the only page that differs between the “motion” modules, and this field movement defines the difference between them.

A field is a set of points. At each point in a field, an “object” is drawn (see the page 3 documentation below for a description of objects). Field complexity can range from a single point (this is the default if you don’t specify a field name) to a large list of points in 3D space that are “static” (set in 3D space relative to one another) or “living” (meaning, moving in a pattern relative to one another).

The center of a field is what you apply a high-level motion to in page 1 of each module’s settings. For example, using the Bounce module, you choose how the center-point for the field bounces around in 3D space in page 1 of the Bounce module.

The “Reset” field determines how long this particular module resets itself. That is, how often it clears the screen and starts again, reinitializing any random settings.

The "Strength" field determines how quickly this module moves relative to the other active modules.

Page 2 - Field Properties

Unlike page 1 which specifies how the entire field moves through space, page 2 allows you to specify how each field moves around its origin. In other words, you can think of the field as a living entity that moves through 3D space (specified by page 1), but “walks” a certain way (specified by page 2).

First of all, you can specify the name of a field. The fields are kept in the “fields” subdirectory of the directory Kinemorphics is installed in. Each field is kept in a *.FLD file. If you do not specify a field file name, a single point field will be defined at the field origin. You can also choose to Model your own fields.

You can also specify how the field rotates about its origin in all three directions in 3D space and the scale (or size) of the field in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 3 - Object Properties

Objects, as mentioned above, are the 3D objects that are drawn at each point in a field. For instance, you could specify a “Pawn” object for the Cyclic module. If the Cyclic module has a field which consists of 2 points, you will see the Cyclic module move 2 pawns through 3D space.

This page allows you to specify how each object moves around its origin (not to be confused with the field’s origin).

First of all, you can specify the name of an object. The objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own objects.

You can also specify how the object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 4 - Object Visual Properties

Texture Name - Textures are graphical images (bitmaps) that are applied in various ways to the sides of the objects. How module textures are applied is controlled under the 3D Settings tab. You can specify that textures are mapped “solidly” onto the sides of the objects (texture mode 1), that textures are laid out in space and mapped onto objects “fluidly” as the objects intersect them (texture mode 2), or that textures are mapped onto the sides of the object “solidly” as if the object were a sphere (texture mode 3). You can also specify how the bitmap textures are scaled under the 3D settings tab (scaling only effects textures when using texture mode 1 or 2).

Red, Green, and Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if you specify a custom palette on Page 7.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if you specify a custom palette on Page 7.

Texture Tile - When on, the texture you use (if any) is tiled 2x2. When off, the texture is not tiled at all.

Page 5 - Drawing Properties

This page lets you specify various module-specific effects.

X Tile, Y Tile, and Z Tile - This allows you to specify that whatever is drawn by this module be repeated in the X, Y, and Z (depth) directions.

X Flip, Y Flip, and Z Flip - This is closely tied to the Tiling options (previous line). Turning flipping on in a particular direction specifies that the tiling is flipped (mirrored) for every two tiles in that particular direction. This only has an effect if tiling is greater than one for that direction.

Symmetry - Like tiling, this allows you to specify that the drawing be repeated. However the repeating is done in a circle instead of tiled like a grid.

Mirror - When Symmetry is greater than one, this specifies whether the symmetry is flipped (mirrored) for every two tiles (much like X, Y, and Z Flip effect the tiling).

Sweep - This specifies how far around a circle the symmetry goes. In other words, if you have symmetry set to 4 and sweep set to 360, each of the 4 fields is 90 degrees apart (like 4 compass points). If you reduce the Sweep, those 4 fields will be squeezed into the portion of a circle you specify (180 would put the “symmetried” fields into a half-circle).

Page 6 - Orientation

This page lets you specify the overall orientation of the module.

X Orientation, Y Orientation, and Z Orientation - This allows you to define the overall 3-dimensional orientation of the module. The default (0,0,0) means that the module is oriented around the z-axis (i.e. the axis from near to far).

Page 7 - Custom Palette

This page lets you override the standard color handling in Page 4 with a saved custom palette. You may create custom palettes using the Palette Designer tab. You may then specify a saved palette in the Palette Name field.

Palette Name - Specify the name of a palette (stored in the Palettes directory) that this module should use for its colors.

Color Step - Allows you to specify how fast this module cycles through the colors in the specified palette.

Page 8 - Fur Object Properties

Fur objects are similar to main objects (see page 3 documentation above). Fur objects however are drawn at each vertex (point) of the main object.

This page allows you to specify the object to use as a fur object, which vertices the fur object is applied to, and a size and rotation for the fur objects.

First of all, you can specify the name of a fur object. All objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own fur objects.

You can also specify a Vertex Step and a Vertex Shift. Vertex Step specifies how often the fur object is applied to a vertex. The default is 5, so by default the fur object is drawn at every 5th vertex of the object. When a Vertex Step of more than 1 is specified, then Vertex Shift can allow the fur objects to "step" along the vertices, giving the appearance of the fur objects "walking" across the main object.

You can also specify how the fur object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 9 - Fur Color Properties

Use Main - This instructs Kinemorphics to give the Fur objects the same color and texture as the main object (regardless of the other settings on this page).

Fur Red, Fur Green, and Fur Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if Use Main (see above) is turned on.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if Use Main (see above) is turned on.


The Kinemorphic 3D Screen Saver

The Random Module

This module allows you to automatically run different Kinemorphics settings in random order. The Random module is active when you first run Kinemorphics.

Active/Saved – This specifies whether the Random module chooses which settings to run from the currently selected Active modules OR from the saved settings in your settings directory.

Maximum at once – This specifies the maximum number of active settings that can be run at once by the Random module. This has no effect when Active/Saved is set to Saved.

Duration – This determines how many seconds the Random module will run each active or saved setting before switching to a new active or saved setting.

Random Controls – When turned on the Random module will generate settings randomly. Note that things like tiling can make this choice run very slowly. Turning this option on is not recommended unless you have a very fast machine.

Clear Screen – When turned on, the Random module will clear the screen before jumping to the next Active or Saved setting. When turned off, whatever the previous setting left behind will be left untouched by the next setting until one of the settings performs its own clear operation.

Sound Only – When turned on, only settings that use sound will be chosen by the Random module if CD/Spectrum Pro is running. If CD/Spectrum Pro is not running, this option has no effect.


The Kinemorphic 3D Screen Saver

The Sequencer

The Sequencer is a bit different from the other modules in that it doesn’t produce patterns. Instead, it allows you to group a specific set of displays in a given order with specific play time durations.
There are two lists displayed in the sequencer, the list to the left contains a list of all of the Displays which can be added to a sequence. The list to the right contains all of the Displays which have been selected as part of the sequence.

Note that a sequence cannot contain another sequence or a Display that uses the “Random” module.

All - - >:

Copies all of the Displays from the list of available displays into the sequence.

- - >:

Copies the currently selected Display from the list of available displays into the sequence.

<- -:

Removes the currently selected Display from the sequence.

All <- -:

Removes all of the displays from the sequence.

Up:

Moves the currently selected Display in a sequence to the previous position in the sequence.

Down:

Moves the currently selected Display in a sequence to the next position in the sequence.

Seconds:

This determines the duration in seconds that a Display will run for when it is added to a sequence. Note that this value is only used when adding a new Display (or Displays) to a sequence.

Clear First:

This determines whether the screen will be cleared prior to running a Display. Note that this value is only used when adding a new Display (or Displays) to a sequence.

Play In Order:

Determines whether the Displays in a sequence will be played sequentially or randomly. This value is global and effects all Displays in the sequence.

Allow Quick Preview:

Determines wheter or not a selected sequence will be previewed in the preview window (to the right of the Display list windows).


The Kinemorphic 3D Screen Saver

The Spin Module

The Spin module contains 9 pages of information. The page can be set by the arrows in the upper-left corner of the module’s tab.

Page 1 - Field Origin Motion

This page describes how the origin (or center-point) of the “field” moves. This is the only page that differs between the “motion” modules, and this field movement defines the difference between them.

A field is a set of points. At each point in a field, an “object” is drawn (see the page 3 documentation below for a description of objects). Field complexity can range from a single point (this is the default if you don’t specify a field name) to a large list of points in 3D space that are “static” (set in 3D space relative to one another) or “living” (meaning, moving in a pattern relative to one another).

The center of a field is what you apply a high-level motion to in page 1 of each module’s settings. For example, using the Bounce module, you choose how the center-point for the field bounces around in 3D space in page 1 of the Bounce module.

The “Reset” field determines how long this particular module resets itself. That is, how often it clears the screen and starts again, reinitializing any random settings.

The "Strength" field determines how quickly this module moves relative to the other active modules.

Page 2 - Field Properties

Unlike page 1 which specifies how the entire field moves through space, page 2 allows you to specify how each field moves around its origin. In other words, you can think of the field as a living entity that moves through 3D space (specified by page 1), but “walks” a certain way (specified by page 2).

First of all, you can specify the name of a field. The fields are kept in the “fields” subdirectory of the directory Kinemorphics is installed in. Each field is kept in a *.FLD file. If you do not specify a field file name, a single point field will be defined at the field origin. You can also choose to Model your own fields.

You can also specify how the field rotates about its origin in all three directions in 3D space and the scale (or size) of the field in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 3 - Object Properties

Objects, as mentioned above, are the 3D objects that are drawn at each point in a field. For instance, you could specify a “Pawn” object for the Cyclic module. If the Cyclic module has a field which consists of 2 points, you will see the Cyclic module move 2 pawns through 3D space.

This page allows you to specify how each object moves around its origin (not to be confused with the field’s origin).

First of all, you can specify the name of an object. The objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own objects.

You can also specify how the object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 4 - Object Visual Properties

Texture Name - Textures are graphical images (bitmaps) that are applied in various ways to the sides of the objects. How module textures are applied is controlled under the 3D Settings tab. You can specify that textures are mapped “solidly” onto the sides of the objects (texture mode 1), that textures are laid out in space and mapped onto objects “fluidly” as the objects intersect them (texture mode 2), or that textures are mapped onto the sides of the object “solidly” as if the object were a sphere (texture mode 3). You can also specify how the bitmap textures are scaled under the 3D settings tab (scaling only effects textures when using texture mode 1 or 2).

Red, Green, and Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if you specify a custom palette on Page 7.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if you specify a custom palette on Page 7.

Texture Tile - When on, the texture you use (if any) is tiled 2x2. When off, the texture is not tiled at all.

Page 5 - Drawing Properties

This page lets you specify various module-specific effects.

X Tile, Y Tile, and Z Tile - This allows you to specify that whatever is drawn by this module be repeated in the X, Y, and Z (depth) directions.

X Flip, Y Flip, and Z Flip - This is closely tied to the Tiling options (previous line). Turning flipping on in a particular direction specifies that the tiling is flipped (mirrored) for every two tiles in that particular direction. This only has an effect if tiling is greater than one for that direction.

Symmetry - Like tiling, this allows you to specify that the drawing be repeated. However the repeating is done in a circle instead of tiled like a grid.

Mirror - When Symmetry is greater than one, this specifies whether the symmetry is flipped (mirrored) for every two tiles (much like X, Y, and Z Flip effect the tiling).

Sweep - This specifies how far around a circle the symmetry goes. In other words, if you have symmetry set to 4 and sweep set to 360, each of the 4 fields is 90 degrees apart (like 4 compass points). If you reduce the Sweep, those 4 fields will be squeezed into the portion of a circle you specify (180 would put the “symmetried” fields into a half-circle).

Page 6 - Orientation

This page lets you specify the overall orientation of the module.

X Orientation, Y Orientation, and Z Orientation - This allows you to define the overall 3-dimensional orientation of the module. The default (0,0,0) means that the module is oriented around the z-axis (i.e. the axis from near to far).

Page 7 - Custom Palette

This page lets you override the standard color handling in Page 4 with a saved custom palette. You may create custom palettes using the Palette Designer tab. You may then specify a saved palette in the Palette Name field.

Palette Name - Specify the name of a palette (stored in the Palettes directory) that this module should use for its colors.

Color Step - Allows you to specify how fast this module cycles through the colors in the specified palette.

Page 8 - Fur Object Properties

Fur objects are similar to main objects (see page 3 documentation above). Fur objects however are drawn at each vertex (point) of the main object.

This page allows you to specify the object to use as a fur object, which vertices the fur object is applied to, and a size and rotation for the fur objects.

First of all, you can specify the name of a fur object. All objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own fur objects.

You can also specify a Vertex Step and a Vertex Shift. Vertex Step specifies how often the fur object is applied to a vertex. The default is 5, so by default the fur object is drawn at every 5th vertex of the object. When a Vertex Step of more than 1 is specified, then Vertex Shift can allow the fur objects to "step" along the vertices, giving the appearance of the fur objects "walking" across the main object.

You can also specify how the fur object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 9 - Fur Color Properties

Use Main - This instructs Kinemorphics to give the Fur objects the same color and texture as the main object (regardless of the other settings on this page).

Fur Red, Fur Green, and Fur Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if Use Main (see above) is turned on.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if Use Main (see above) is turned on.


The Kinemorphic 3D Screen Saver

The Tunnel Module

The Tunnel module contains 9 pages of information. The page can be set by the arrows in the upper-left corner of the module’s tab.

Page 1 - Field Origin Motion

This page describes how the tunnel objects are arranged. This is the only page that differs between the “motion” modules.

Sides - Specifies how many "sides" the tunnel has.

Objects Per Side - Specifies how many objects (specified in Page 3...see below) are drawn on each side.

Radius - How big (wide) the tunnel is.

Roughness - How straight the objects are placed along each side.

Step Size - How far apart each "ring" of the tunnel is drawn.

Number of steps - How many "rings" are drawn before a new tunnel is started.

Angle Delta - How much each "ring" rotates relative to the previous one.

Duration - How long the drawn tunnel remains before it is erased and a new one is drawn.

The “Reset” field determines how long this particular module resets itself. That is, how often it clears the screen and starts again, reinitializing any random settings.

The "Strength" field determines how quickly this module moves relative to the other active modules.

Page 2 - Field Properties

Unlike page 1 which specifies how the entire field moves through space, page 2 allows you to specify how each field moves around its origin. In other words, you can think of the field as a living entity that moves through 3D space (specified by page 1), but “walks” a certain way (specified by page 2).

First of all, you can specify the name of a field. The fields are kept in the “fields” subdirectory of the directory Kinemorphics is installed in. Each field is kept in a *.FLD file. If you do not specify a field file name, a single point field will be defined at the field origin. You can also choose to Model your own fields.

You can also specify how the field rotates about its origin in all three directions in 3D space and the scale (or size) of the field in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 3 - Object Properties

Objects, as mentioned above, are the 3D objects that are drawn at each point in a field. For instance, you could specify a “Pawn” object for the Cyclic module. If the Cyclic module has a field which consists of 2 points, you will see the Cyclic module move 2 pawns through 3D space.

This page allows you to specify how each object moves around its origin (not to be confused with the field’s origin).

First of all, you can specify the name of an object. The objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own objects.

You can also specify how the object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 4 - Object Visual Properties

Texture Name - Textures are graphical images (bitmaps) that are applied in various ways to the sides of the objects. How module textures are applied is controlled under the 3D Settings tab. You can specify that textures are mapped “solidly” onto the sides of the objects (texture mode 1), that textures are laid out in space and mapped onto objects “fluidly” as the objects intersect them (texture mode 2), or that textures are mapped onto the sides of the object “solidly” as if the object were a sphere (texture mode 3). You can also specify how the bitmap textures are scaled under the 3D settings tab (scaling only effects textures when using texture mode 1 or 2).

Red, Green, and Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if you specify a custom palette on Page 7.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if you specify a custom palette on Page 7.

Texture Tile - When on, the texture you use (if any) is tiled 2x2. When off, the texture is not tiled at all.

Page 5 - Drawing Properties

This page lets you specify various module-specific effects.

X Tile, Y Tile, and Z Tile - This allows you to specify that whatever is drawn by this module be repeated in the X, Y, and Z (depth) directions.

X Flip, Y Flip, and Z Flip - This is closely tied to the Tiling options (previous line). Turning flipping on in a particular direction specifies that the tiling is flipped (mirrored) for every two tiles in that particular direction. This only has an effect if tiling is greater than one for that direction.

Symmetry - Like tiling, this allows you to specify that the drawing be repeated. However the repeating is done in a circle instead of tiled like a grid.

Mirror - When Symmetry is greater than one, this specifies whether the symmetry is flipped (mirrored) for every two tiles (much like X, Y, and Z Flip effect the tiling).

Sweep - This specifies how far around a circle the symmetry goes. In other words, if you have symmetry set to 4 and sweep set to 360, each of the 4 fields is 90 degrees apart (like 4 compass points). If you reduce the Sweep, those 4 fields will be squeezed into the portion of a circle you specify (180 would put the “symmetried” fields into a half-circle).

Page 6 - Orientation

This page lets you specify the overall orientation of the module.

X Orientation, Y Orientation, and Z Orientation - This allows you to define the overall 3-dimensional orientation of the module. The default (0,0,0) means that the module is oriented around the z-axis (i.e. the axis from near to far).

Page 7 - Custom Palette

This page lets you override the standard color handling in Page 4 with a saved custom palette. You may create custom palettes using the Palette Designer tab. You may then specify a saved palette in the Palette Name field.

Palette Name - Specify the name of a palette (stored in the Palettes directory) that this module should use for its colors.

Color Step - Allows you to specify how fast this module cycles through the colors in the specified palette.

Page 8 - Fur Object Properties

Fur objects are similar to main objects (see page 3 documentation above). Fur objects however are drawn at each vertex (point) of the main object.

This page allows you to specify the object to use as a fur object, which vertices the fur object is applied to, and a size and rotation for the fur objects.

First of all, you can specify the name of a fur object. All objects are kept in the “objects” subdirectory of the directory Kinemorphics is installed in. Each object is kept in a *.KOB file. If you do not specify an object file name, the default is “sphere1.kob”. You can also choose to Model your own fur objects.

You can also specify a Vertex Step and a Vertex Shift. Vertex Step specifies how often the fur object is applied to a vertex. The default is 5, so by default the fur object is drawn at every 5th vertex of the object. When a Vertex Step of more than 1 is specified, then Vertex Shift can allow the fur objects to "step" along the vertices, giving the appearance of the fur objects "walking" across the main object.

You can also specify how the fur object rotates about its origin in all three directions in 3D space and
the scale (or size) of the object in 3D space (note like most other settings, this is something you can oscillate from frame to frame).

Page 9 - Fur Color Properties

Use Main - This instructs Kinemorphics to give the Fur objects the same color and texture as the main object (regardless of the other settings on this page).

Fur Red, Fur Green, and Fur Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if Use Main (see above) is turned on.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if Use Main (see above) is turned on.


The Kinemorphic 3D Screen Saver

The Walls Module

This module allows you to specify background walls that appear behind all the other active settings. You can make the wall have differing numbers of faces. You can also specify whether objects pass-through the walls when they go out towards the fringes, or always stay in front of the walls.

Page 1 - Main Settings

Sides - Number of walls (default is 4).

Colorized - Determines whether walls are all the same color or not.

Pass Through - Determines whether objects can pass behind walls or not.

Show Backs - Determines whether the backs of walls are shown (possible if "world" is rotated using Page 6...see below).

The “Reset” field determines how long this particular module resets itself. That is, how often it clears the screen and starts again, reinitializing any random settings.

The "Strength" field determines how quickly this module moves relative to the other active modules.

Page 4 - Object Visual Properties

Texture Name - Textures are graphical images (bitmaps) that are applied in various ways to the sides of the objects. How module textures are applied is controlled under the 3D Settings tab. You can specify that textures are mapped “solidly” onto the sides of the objects (texture mode 1), that textures are laid out in space and mapped onto objects “fluidly” as the objects intersect them (texture mode 2), or that textures are mapped onto the sides of the object “solidly” as if the object were a sphere (texture mode 3). You can also specify how the bitmap textures are scaled under the 3D settings tab (scaling only effects textures when using texture mode 1 or 2).

Red, Green, and Blue - This specifies the base color of the objects. Note that the color is also effected by the lighting used and any texture you might have applied to the objects. These values are not used if you specify a custom palette on Page 7.

Red Step, Green Step, and Blue Step - These allow you to produce a nice flowing color effect. They define how much each color changes from its initial setting (see Red, Green and Blue above) as the animation is running. These values are not used if you specify a custom palette on Page 7.

Texture Tile - When on, the texture you use (if any) is tiled 2x2. When off, the texture is not tiled at all.

Page 5 - Drawing Properties

This page lets you specify various module-specific effects.

X Tile, Y Tile, and Z Tile - This allows you to specify that whatever is drawn by this module be repeated in the X, Y, and Z (depth) directions.

X Flip, Y Flip, and Z Flip - This is closely tied to the Tiling options (previous line). Turning flipping on in a particular direction specifies that the tiling is flipped (mirrored) for every two tiles in that particular direction. This only has an effect if tiling is greater than one for that direction.

Symmetry - Like tiling, this allows you to specify that the drawing be repeated. However the repeating is done in a circle instead of tiled like a grid.

Mirror - When Symmetry is greater than one, this specifies whether the symmetry is flipped (mirrored) for every two tiles (much like X, Y, and Z Flip effect the tiling).

Sweep - This specifies how far around a circle the symmetry goes. In other words, if you have symmetry set to 4 and sweep set to 360, each of the 4 fields is 90 degrees apart (like 4 compass points). If you reduce the Sweep, those 4 fields will be squeezed into the portion of a circle you specify (180 would put the “symmetried” fields into a half-circle).

Page 6 - Orientation

This page lets you specify the overall orientation of the module.

X Orientation, Y Orientation, and Z Orientation - This allows you to define the overall 3-dimensional orientation of the module. The default (0,0,0) means that the module is oriented around the z-axis (i.e. the axis from near to far).

Page 7 - Custom Palette

This page lets you override the standard color handling in Page 4 with a saved custom palette. You may create custom palettes using the Palette Designer tab. You may then specify a saved palette in the Palette Name field.

Palette Name - Specify the name of a palette (stored in the Palettes directory) that this module should use for its colors.

Color Step - Allows you to specify how fast this module cycles through the colors in the specified palette.


The Kinemorphic 3D Screen Saver

Auxiliary Settings

From here you can configure options that control how the screen saver should behave regardless of which Display you have selected.

Here is a brief description of each of the controls in the Auxiliary Settings panel:

Blank screen timeout –Determines the number of minutes that the screen saver will draw before blanking the screen and completely giving up the CPU to other applications.

Timeout before password is required - Determines how many seconds the screen saver should run before it will ask for a password when the mouse is moved or a key is pressed. This is useful for times when the screen saver kicks in while you are reading what’s on the screen.

CPU Usage - Determines how much processing time the screen saver receives when other applications are contending for the CPU. Keep in mind that the fact that other applications are running does not imply that they are placing a high demand on the CPU. In general, it is a good idea to keep this set to the “Low” setting unless the screen saver does not appear to be animating smoothly.


The Kinemorphic 3D Screen Saver

Sound

Use the controls here to configure general options relating to the interaction between CD Spectrum Pro and The Kinemorphic 3D Screen Saver. To configure a particular palette or module control to use sound, select the "Palette" or module panel and set the "Source" for the control to one of the sound options. Please note that not all controls support sound based sources. If you are looking for tips and tricks on how to use the screen saver with sound, be sure to read the general FAQ item that discusses this in addition to the product documentation.

Turbo Mode - If CD Spectrum Pro is running and this is checked, then all sound sources that specify a frequency source will be forced to a “Volume” source at run time. This keeps CD Spectrum Pro from having to do some time consuming operations to the data that it sends on to the screen saver.

Display CD Info - If CD Spectrum Pro is running and this is checked, the title, track, and artist information for the current audio CD will be displayed in the lower left corner of the screen for a few seconds every time a new track begins.

Auto run CDS/Pro - If this is checked, then CD Spectrum Pro will be run whenever the screen saver is run. We recommend that you leave this turned off to avoid scenarios where you leave your office for a few minutes and the screen saver kicks in and launches the Megadeath CD you just purchased at peak volume. This particular option is not conducive to good relations with your coworkers.

Auto Adjust Gain - If this is checked, the screen saver will attempt to adjust the gain level that is applied to the data from CD Spectrum Pro to provide reasonable visual appearance. If this is not checked, you will need to adjust the gain slider in CD Spectrum Pro manually.

Amplitude Homing - This allows you to adjust how strongly the graphics “home-in” to the current minimum and maximum sound amplitude.


The Kinemorphic 3D Screen Saver

How To...

This section contains information on how to accomplish some of the more common tasks relating to the operation of the screen saver.

  • How to create a Display

  • How to remove SS Runner


The Hypnogenic Screen Saver

Index

  • Product overview

  • System Requirements

  • Keyboard Commands

  • Configuration Dialog

    • Choose Display

    • Edit Displays

      • Palette

        • Custom

        • Standard

      • Modules

    • Auxiliary Settings

    • Sound

    • Video Mode

  • How to accomplish some common tasks

  • Support / Questions


The Hypnogenic Screen Saver

"Sometimes after an electrical storm I see in five dimensions."
Cornfed, Duckman, "Ride the High School"

The Hypnogenic Screen Saver generates a dazzling array of mind blowing patterns. As the patterns evolve on your screen the shapes and colors will seethe and morph hypnotically. Users can customize the animations through a sophisticated interface that allows complete control over virtually every aspect of the image creation process.

Included with the screen saver are dozens of displays demonstrating some of the capabilities of the software. If, however, you wish to create your own displays, you can construct your own using the hundreds of controls that govern the animation creation process. The variety of displays that can be created is absolutely staggering.

The Hypnogenic Screen Saver has been designed to work in conjunction with CD/Spectrum Pro in order to provide stunning visual effects that synchronize with the sounds from an audio source (like the CD player in your computer or an MP3 file). With many of the module controls you can associate a sound frequency, a range of effect, and a sensitivity. Fluctuations in the amplitude of the frequency will oscillate the control values within the range of effect.


The Hypnogenic Screen Saver

System Requirements

  • The Hypnogenic Screen Saver runs quite nicely on on a P90 system. However, if it is being used in conjunction with CD/Spectrum Pro then you'll probably want at least a 166 MHz Pentium based system.
  • Microsoft Windows 95/98, Windows NT 4.0, or Windows 2000

Release Notes

  • Installing The Hypnogenic Screen Saver will overwrite prior versions of The Hypnogenic Screen Saver. If you've installed a previous version you may want to backup, rename, or otherwise save the file "hypno.scr" in your \system directory (on Win95) or \system32 directory (on WinNT). Newer versions of The Hypnogenic Screen Saver support settings created by earlier versions.
  • Purchasing The Hypnogenic Screen Saver provides you with a license to use all updates to this version of the software and all previous versions.
  • In order for The Hypnogenic Screen Saver to display graphics which synchronize with sound, you must have a sound card installed (and properly configured) in your system and CD/ Spectrum Pro must be running.


The Hypnogenic Screen Saver

Keyboard Commands

There are a number of keyboard commands that you can use to control the screen saver while it is running.

F1 - Captures the current display and saves it to the list of saved displays. You can select, rename, review, and/or edit the display in the Main Settings panel for the screen saver. The captured display will show up under the name “Capture #n” where “n” is the number of the capture.

F2 - Advances the screen saver to the next set of settings for the current display. If you are running in a random mode where you are selecting from the saved displays, then you will get a new display. If you are running in a random mode where you are selecting from a set of modules, a new subset will be selected.

F5 - Toggle suspend/resume drawing

F9 - Toggle disable/enable mouse interrupt. You can use this to stop (or start) mouse movements from waking up the screen saver. Keep in mind that you can still wake up the screen saver by pressing a keyboard key that is not part of this command list.

Left Arrow - Moves CD player back one song (when CD/Spectrum Pro is running)..

Right Arrow - Moves CD player forward one song (when CD/Spectrum Pro is running)..

Up Arrow - Increases audio volume (when CD/Spectrum Pro is running).

Down Arrow - Decreases audio volume (when CD/Spectrum Pro is running).

1 - 9 - Jump to track 1 - 9 (when CD/Spectrum Pro is running).

TAB - Lock module(s) parameters (i.e. turns random module off).

+ / - - Increase / decrease drawing speed.

DEL - Stop the animations and blank the screen.

Left Shift - Override the actual sound/oscillation amplitude by simulating a low amplitude wave.

Right Shift - Override the actual sound/oscillation amplitude by simulating a high amplitude wave.

S - Capture the current screen to a file in the Screen Shots subdirectory in the directory where Hypno was installed. If you hold down the S key each frame of the animation will be captured to a numbered file (like HYP-0001.BMP, HYP-0002.BMP, etc…).

W - Set the current desktop wallpaper to the frame of the animation that is currently being displayed. The file will appear in your Windows directory as a numbered BMP file (like BACK0001.BMP, BACK0002.BMP, etc…).


The Hypnogenic Screen Saver

Configuration Dialog

The Configuration Dialog allows you to configure the properties that govern the behavior of the screen saver and the patterns it produces. You can bring up the Configuration Dialog, right-click on SS Runner (the [image] icon in your taskbar), choosing "Configure", and then selecting "The Hypnogenic Screen Saver" from the menu. If you don't have SS Runner installed, you can right-click on the desktop, choose "Properties" from the pop-up menu, and then select the "Screen Saver" page of the "Display Properties" dialog. From there you can select "The Hypnogenic Screen Saver" and then press the "Settings" button to bring up the Configuration dialog.

For information about specific controls within the Configuration dialog, please select the corresponding topic from the index below:

  • Choose Display

  • Edit Displays

    • Palette

      • Custom

      • Standard

    • Modules

  • Auxiliary Settings

  • Sound

  • Video Mode


The Hypnogenic Screen Saver

Choose Display

This panel provides you with a convenient way to browse and select a Display from the list of available Displays. The Display that is selected will be used whenever the screensaver is run.

Here is a brief description of the controls on this page.

Saved Displays

From here you can pick the Display that will be used when the screen saver runs. To pick a new display from the list of available displays, select its name from those in the display chooser control. If the Quick preview is enabled then the currently selected display will be previewed in the Preview Window.

The CD Icon to the left of the display chooser will indicate whether or not a Display was authored to support sound synchronization. If a Display supports sound synchronization then you can launch CD/Spectrum Pro, select a sound source (like a CD or MP3 file), and run the screen saver to get visuals which move with the sounds from the sound source.

If you find yourself looking for additional Displays, there is an archive of interesting Display files available on the "Additional Settings" page of the Hypnogenic Screen Saver section of the Synthesoft web site.

Enable Quick Preview

If this is checked then the currently selected Display will be previewed in the small preview window. The preview window will always display the last saved version of a Display so, if you make changes to a display, you’ll need to save them before the preview window will display them. If you have a slower system you may want to disable the quick preview in order to keep the user interface as responsive as possible.

Full Screen Preview

This button will launch the screen saver in full screen mode.

Register or About

This button will launch a small application that lists the Synthesoft products you have installed and their versions. It also provides you with all the information you need to:

  • Purchase a license for a Synthesoft product
  • Enter a registration code for a Synthesoft product to remove the reminder messages
  • Get support for a Synthesoft product
  • Get to the Synthesoft Web Site


The Hypnogenic Screen Saver

Edit Displays

Use the controls here to build and manage your Displays. A Display is comprised of one or more modules and a palette. The modules provide the structure of the shapes used in the display while the palette will determine the colors used to display the shapes. To select which modules are used, right click your mouse on the Module Icon (looks like a gray 'M') to bring up the Options Menu and then select the module you wish to use from the "Add Module" sub menu. Each of the modules you select will be added to the Display hierarchy. You can edit the controls for the modules you've added by selecting the module you want to edit in the Display hierarchy and the controls for that module will appear to the right.

Options Menu (right mouse click on Display hierarchy window)

Import *.PSY File(s)...

Import Display settings that you obtain from other users of the software. Importing a setting will copy it from its original location into your settings directory. In addition, the import process will convert a Display authored with an older version of the the software into a setting compatible with the current version.

Delete Current Display

Completely removes the currently selected Display from the system.

Add Module

Allows you to select which module(s) will be included in your Display. To remove a module from your display, select the module you wish to remove by clicking on it in the Display hierarchy window and then press the Delete key on the keyboard.

Other controls...

Saved Displays

From here you can pick the Display you want to edit. When you select a new display, the Display is loaded into the Display hierarchy window so that you can select and edit its components..

Save

Saves the changes you've made to the current Display.

Save As...

Saves the changes you've made to a new Display with a different name. While you can save Displays to any folder you like, only Displays in the settings folder are available to the screen saver.

Saving a Display creates a *.PSY file bearing the name you gave it. PSY files can be launched by double clicking on them from the Windows Explorer. They can also be placed on web site where users can launch them simply by pressing the link.


The Hypnogenic Screen Saver

Palette

The palette controls allow you to configure the colors that are used by your displays. The standard controls are used to algorithmically control the palette colors while the Custom controls allow you to explicitly specify the colors that will be used. In order to use the Custom settings you must set the "Color Effect" in the Standard palette configuration panel to "Custom."

For information about specific palette controls, please select the corresponding topic from the index below:

  • Custom

  • Standard


The Hypnogenic Screen Saver

Custom

The custom palette editor allows you to specify the colors that will be used when the “Color Effect” in the “Standard" palette configuration panel is set to “Custom”. You can also use the controls here to edit and created *.PAL files that can be used when the "Color Effect" is set to "Palette File".

Use the mouse to select a particular color or a range of colors from the palette and then use the functions listed below to manipulate them.

R / G / B - Controls how much red/green/blue is in the selected color or range of colors.

Random - Generates a random gradient of colors for the currently selected color range.

Negative - Sets each of the colors in the currently selected color range to their color negative.

Reverse - Reverses the order of the colors in the currently selected color range.

CopyTo - Copy from one color or a range of colors to another. To use CopyTo, use the mouse to select a color or range of colors as the source for the copy then press CopyTo and select a color or range of colors for the destination. When you release the left mouse button, the copy will be applied.

MergeTo - Merges from one color or a range of colors to another. To use MergeTo, use the mouse to select a color or range of colors as the source for the copy then press MergeTo and select a color or range of colors for the destination. When you release the left mouse button, the merge will be applied.

Gradient - Takes the first and last color in the selected range and generates all of the colors between them in RGB color space.

Undo - Undoes the previous operation. The undo buffer is only one entry deep so pressing undo twice is the same as not pressing it at all.

Smooth - Takes all of the colors in the selected range and modifies the RGB values so that they are more like the neighboring colors.

Rough - Randomly modifies the RGB values of the colors in the selected range by a small amount.

Shift - Swaps the red, green and blue values for the selected range. Red gets the value of green, green gets the value of blue, and blue gets the value of red.

Import - Allows you to load a palette from a file.

Export - Allows you to save the current palette to a file.

Red, Green, and Blue Masks - Prevent color operations from effecting a particular gun.

Stencil - Prevent color operations from effecting the currently selected color or range of colors.

Un-Stencil - Allows color operations to effect the currently selected color or range of colors.,


The Hypnogenic Screen Saver

Standard

You can use the Standard Palette configuration panel to control the source of the colors that are used by the Displays you create.

RGB

Each of the red, green, and blue color components have their own drawing plane and are manipulated independently. Run the setting titled "The Watcher" in a true color video mode for an example of this effect.

Palette File

You supply the name of a palette file containing the color set you wish to use with the display. Palette files provide a simple way of allowing you to reuse the palettes you create.

Custom Palette

This is similar to the Palette File effect except that it uses whatever colors you presently have stored in the "Custom" palette editor. The benefit of this option is that it allows you to store the colors for the display with the rest of the display settings. This is useful for times when you want to share your settings with others.

Duration

Duration determines how long the colors you specify will be used before they are reloaded. Normally you would adjust this setting to its highest value. However, if you choose to use a wildcard value (like *.PAL) for the palette file, when the duration elapses, the next palette file that matches the mask will be loaded.


The Hypnogenic Screen Saver

Module Control Overview

Here are some general pointers on how the module controls operate. Most of the controls used in the modules are composed of several parts. To the right of a control is a drop down list box that you can use to select the source for a particular control. The source determines where that control gets information on how to calculate a value for the parameter it controls. When you change the source for a control, the rest of the control will change in order to accommodate the different types of values that that particular source requires.

Here are a few examples of the way controls will appear based upon the sources selected.

A)

B)

C)

D)

Source

  • Set - The value for the control is set to whatever value is indicated by the slider component. The controls in “A” (above) demonstrate a “Set” source. In this case, the value for the control will be set to 2.
  • Random - The value for the control is set randomly generated so that it is between the two values indicated by the two sliders. The controls in “B” (above) demonstrate a “Random” source. In this case, the value will be a random number between 0 and 100.
  • Oscillate - The value for the control will oscillate between the values indicated by the two sliders. The frequency of the oscillation can be controlled using the up/down control just to the left of the source control. Higher values for the frequency will yield faster oscillation. The controls in “C” (above) demonstrate a “Oscillate” source. In this case, the value will oscillate between 1 and 50 with a frequency of 10 (fastest).
  • Volume (and all frequency ranges) - The value for the control will set between the values indicated by the two sliders using the volume from the audio input source. The sensitivity of the audio sampling can be controlled using the up/down control just to the left of the source control. Higher values for the sensitivity will yield faster sampling and be more responsive to amplitude changes. The controls in “D” (above) demonstrate a “Volume” source (frequency sources work the same way). In this case, the value will fluctuate between 0 and 320 with a sensitivity of 10 (the most sensitive). These ranges could also be reversed if an inverse relationship to the audio was desired.


The Hypnogenic Screen Saver

Auxiliary Settings

From here you can configure additional options governing the behavior of the screen saver.

Blank screen timeout

Determines the number of minutes that the screen saver will draw before blanking the screen and completely giving up the CPU to other applications.

Timeout before password is required

Determines how many seconds the screen saver should run before it will require password validation when it wakes up. This is useful for times when the screen saver kicks in while you are reading what’s on the screen or if you step away from your workstation briefly.

Duration override (lengthen or shorten default Display durations)

This slider allows you to extend (override) the all of the Duration values used by a Display (or Displays if you are playing a sequence or using the randomizer). The value specified by this slider is the number of seconds that will be added to each of the duration values used by the Display. Since most of the displays that ship with the screen saver are configured to demonstrate the capabilities of the screen saver at a fast pace, this control is useful for slowing things down for normal viewing (or speeding them up if you have a really short attention span. . Note that, although the slider allows negative values, no duration value will be adjusted to a duration less than zero.

Disable wakeup on mouse move

By checking this check box, you prevent the screen saver from waking up when the mouse is moved. This is can be toggled while the screen saver is running by pressing the F9 key. For information on other keyboard commands, please see the Keyboard Commands section of the manual.

CPU Usage

Determines how much processing time the screen saver receives when other applications are contending for the CPU. Keep in mind that the fact that other applications are running does not imply that they are placing a high demand on the CPU. In general, it is a good idea to keep this set to the “Low” setting unless the screen saver does not appear to be animating smoothly.

Animation Speed

Controls how fast the animations are drawn. This allows users of faster systems to slow things down so that they can watch them.

Seconds to display title

This allows you to configure how long the name of the currently running settings will be displayed in the top center of the screen before being erased. A setting of zero will keep the name from being displayed at all.


The Hypnogenic Screen Saver

Sound

Use the controls here to configure general options relating to the interaction between CD/Spectrum Pro and The Hypnogenic Screen Saver. To configure a particular palette or module control to use sound, select the "Palette" or module panel and set the "Source" for the control to one of the sound options. Please note that not all controls support sound based sources.

If you are looking for tips and tricks on how to use the screen saver with sound, be sure to read FAQ item #1.

Turbo Mode

If CD/Spectrum Pro is running and this is checked, the all sound sources that specify a frequency source will be forced to a “Volume” source at run time. This keeps CD/Spectrum Pro from having to do some time consuming operations to the data that it sends on to the screen saver.

Display CD Info

If CD/Spectrum Pro is running and this is checked, the title, track, and artist information for the current audio CD will be displayed in the lower left corner of the screen for a few seconds every time a new track begins.

Auto run CDS/Pro

If this is checked, then CD/Spectrum Pro will be run whenever the screen saver is run. We recommend that you leave this turned off to avoid scenarios where you leave your system for a few minutes and the screen saver kicks in and launches the Megadeath CD you just purchased at peak volume. This particular option may not be conducive to good relations with your coworkers or housemates.

Auto Adjust Gain

If this is checked, the screen saver will attempt to adjust the gain level that is applied to the data from CD/Spectrum Pro to provide reasonable visual appearance. If this is not checked, you will need to adjust the gain slider in CD/Spectrum Pro manually.

Amplitude Homing

This slider determines how aggressively the sound engine will optimize the auto-gain level for the sound amplitudes it receives.


The Hypnogenic Screen Saver

Video Mode

Use the controls here to set the video mode that the screen saver will use when it runs. When the screen saver is invoked, it will switch into the video mode you have specified and when it exits, it will switch back to the original video mode. While Hypnogenics is designed to work in any video mode, certain modes offer performance benefits while others offer enhanced color benefits. For example, 256 color modes are the fastest but some color effects are only available when running in true-color (16 million color) video modes.

Please note that the screen saver can only provide this feature if Microsoft’s DirectX Extensions are installed on your system. You can find out if you have the extensions installed by selecting the "Video Mode" panel. If there is a message telling you that they are not installed then you can download them (at no charge) from Microsoft’s web site at: http://www.microsoft.com/directx/

Display device:

This shows you the name of the display device that is currently being configured. Most systems will have only one display device but Windows 98 and Windows 2000 support multiple monitor configurations which may have up to 16 display devices. Each of these devices can be selected and configured independently of the others.

Default mode for this device:

This provides you with information about the video mode that the current display device is currently using. It will tell you the number of colors supported and the x and y resolutions of the mode.

Run screen saver in:

This provides you with information about the video mode that the screen saver will use.

Available video modes for this device:

This is a list of the video modes that are supported by the currently selected display device. Please keep in mind that some video modes may be supported by your card that are not supported by your monitor. Changing the display mode into an unsupported mode can leave your display unreadable. As a result, it's best to avoid choosing a display mode that you can't test first.

Set

Set the video mode that the screen saver will use for the current display device to the selected entry in the “Available video modes” list.

Clear (use default mode)

This button will set the video mode for the currently selected display device to the video mode displayed in the "Default mode" box.

Test

Tests the currently selected entry in the “Available Modes” list.


The Hypnogenic Screen Saver

How To...

This section contains information on how to accomplish some of the more common tasks relating to the operation of the screen saver.

  • How to create a Display

  • How to remove SS Runner


CD/Spectrum Pro

CD/Spectrum Pro is a full 32bit CD-Audio Player with Graphical Spectrum Analyzer for Windows 95/98, Windows NT 4.0, and Windows 2000. No other software package has all the features of CD/Spectrum Pro - from the spectrum analyzer, to the CDDB internet database access, to the MP3 and WAV player, to the mixer module, to the visuals hosting window, to the full-featured CD player module, and the list goes on. In spite of its tremendous list of features, CD/Spectrum Pro is easy to use because of its intuitive user interface.

  • Minimum System Requirements

  • Installation/Removal

  • Configuring CDSPro

  • Troubleshooting

  • Help for the Individual Modules

    • CD Info DB

    • CD Player

    • Console

    • Layouts

    • Media Files

    • Mixer

    • Scope

    • Spectrum

    • Visuals

  • Miscellaneous Features

    • CDDB (Online Internet CD Information Database)

      • Downloading from CDDB

      • Uploading to CDDB

    • Hotkeys

  • Tips and Tricks

  • How to Perform Common Tasks

    • Access the CDDB From Behind a Firewall

    • Edit Program List for a CD

    • Make a Backup of your CDP File

    • Turn on/off File Associations (MP3, etc)


CDSPro Hardware and Troubleshooting Guidelines

CD/Spectrum Pro Hardware Requirements

Generally speaking, you need a multimedia computer, capable of recording and playing back CD audio using only the Windows CD Player and Sound Recorder. It is extremely rare to find a system which can perform that task yet cannot handle CDSPro.

Although CD/Spectrum Pro will run on a 486, a 200Mhz or better Pentium is recommended for optimum performance. If your machine has trouble keeping up with the processor-intensive spectrum analysis, you may choose to use only the CD audio part of the program.

Of course a CD player is required for the CD audio portion of the program to function. If your system has more than one CD drive, you can choose which one CD/Spectrum Pro will use by right-clicking either on the “CD” indicator in the Console window, or anywhere in the CD player window. Currently, CD/Spectrum Pro provides no special support for multidisc changers, so although it should work with them, it will not be able to provide changer-specific functionality like changing which slot is playing.

A sound card in necessary for the spectrum analyzer to function. The spectrum analyzer uses the wave capture on the sound card to determine what the CDaudio signal looks like. If no sound card is present, or the sound card does not support wave capture, you may choose to use only the CDaudio part of the program.


CD/Spectrum Pro Configuration

Configuration Options

You can configure each element of CD/Spectrum Pro. The engines are configured by right-clicking either on the indicator in the Console window, or on the respective window (for example the CD window for the CD engine). The individual windows are configured by right-clicking on the respective window. Suffice to say, right-click on something to configure it.

CD Audio

  • Is Default CD Player - if this option is chosen, Windows will run CD/Spectrum Pro to autoplay CDs.

  • Intro Duration - the number of seconds that will be played from each track in Intro mode.

  • Logical CD Drive - the logical drive letter of the CD drive that CD/Spectrum Pro will use.

  • Autorun on Startup - if this option is chosen, CD/Spectrum Pro will begin playing the CD as soon as the program is run.

  • Auto Eject after Last Track - If this option is chosen, CD/Spectrum Pro will automatically eject the CD after play has completed.

  • Stop CD on Exit - If this is chosed, the CD will stop playing when you exit CD/Spectrum Pro.

Spectrum

  • HiColor and LowColor - The spectrum will be displayed with the high color unless the Gradient option is chosen, in which case the spectrum is dithered so that the low elements are LowColor and the high elements are HiColor.

  • Spectrum Trails Duration - adjusts the linger duration of the spectrum trails.

Global

  • 3D Look - if chosen, CD/Spectrum Pro will make its buttons look recessed.

  • Layouts - provides a quick interface to choosing from the saved layouts.

  • Colors - this option provides a dialog box within which you can set the colors CD/Spectrum Pro uses for things like background color, button color, etc.


CD/Spectrum Pro Troubleshooting

CDSPro Troubleshooting

CD/Spectrum Pro uses the same resources and functionality as the combination of the Windows CD player and the Windows Sound Recorder, and the Windows Media Player to play MP3 files. Once your system is in a state where you can record and play back CD audio using the Windows CD Player and Sound Recorder, and can play MP3 files using the Windows Media Player, chances are *very* good that CD/Spectrum Pro will work flawlessly on your system.

We regret that we don't have the bandwidth to help everyone get there system into a state where these system tools perform properly. We do provide the following information on an "as is" basis - hopefully it will help. If after reading the information below, you are still unable to get your system into a state where the system tools work, please contact Microsoft or your computer manufacturer for help.

General topics (note that this "help" us provided on an "as is" basis")

  • No spectrum or no sound sync

  • No system sounds while CDSPro is running

  • Can't hear music while CDSPro is running

  • Poor performance on legacy Win9x machines

  • Some color in the spectrum even with no sound

One common problem people encounter is that the spectrum won't animate or the savers won't sync to the music. In these cases, when you perform the system test to record and play back CD audio using the Windows CD Player and Sound Recorder, you end up recording and playing back silence. The tips below may help you solve that problem:

  • By far, the most common cause of this problem is that the sound card is configured to digitize an audio source other than the CD audio (usually the microphone). Look in the Mixer window in CD/Spectrum Pro. If the Mixer window will not come up, then you will need to use whatever software came with your sound card because your sound card does not support standard mixer interfaces for programmers to access the card.
  • The second most common cause of this problem is when CD/Spectrum Pro is using an alternate sound device. To solve this, right-click on the "Waves" indicator in the Console window and choose to "Configure Waves Engine". That will bring up a dialog box in which you can select the in and out devices and format. Choose the appropriate device for in and out devices (not the voice modem devices, and not the "Game Compatible Device"). Also, choose a suitable format, like 44Khz Stereo 16bit. Press OK.
  • The gain is set too low - drag it up.
  • The CD audio line volume is set too low - look in the Mixer window and drag it up.
  • The color of the spectrum is set to the same as the color of the background - right-click on the spectrum graphics and choose Configure. From there, you can set colors.
  • The CD player is not hooked up to the sound card - if you are able to listen to CDs only through headphones, this is your scenario. (By the same token, if you listen to CDs through your sound card, this is not your scenario.) You need to connect a proper cable between your CD player and your sound card. Please let only a qualified technician perform this.

CD/Spectrum Pro uses the same mechanisms in your computer that are used by the Windows 95/NT components 'CDPlayer' and 'Sound Recorder'. You should first make sure that you can indeed record and play back CD Audio by shutting down CD/Spectrum Pro and playing a CD with the Win95/NT CD player and recording with the Win95/NT Sound Recorder. Once you can successfully do this, chances are good that CD/Spectrum Pro will work fine.

Another common problem is that while CDSPro is running, you can't hear WAVs/chimes/system sounds. Many sound cards/drivers do not support what is known as 'full-duplex' WAV operations. This means that they do not allow you to record WAV data at the same time that you are playing WAV data. CD/Spectrum Pro uses the WAV recording mechanism to digitize the music. So, while CD/Spectrum Pro is running, if your sound card/driver does not support full-duplex mode, attempts to play WAV sounds will fail.

Fortunately, this is almost always a driver limitation, not a hardware limitation. What this means is that you can usually fix this limitation by simply installing a new driver that *does* support full-duplex operation. Contact your sound card or computer manufacturer to obtain such a driver (they are usually free, and most times you can download them off the web).

To test to see whether or not you have a full-duplex driver, please perform the following steps:

1. Close CD/Spectrum Pro
2. Open the Win95/NT Sound Recorder
3. Open the Win95/NT Media Player
4. Play a WAV file in the Media Player, and try to record it using the Sound Recorder. Or, begin recording with the Sound Recorder and then perform some task which would result in a system sound.

If you can record the WAV file while it is playing (or if you can hear system sounds while recording), then you have a full-duplex card/driver. Otherwise, you do not. Keep in mind that many drivers are not full-duplex, even though about 97% of cards support it in hardware.

If you have a full-duplex driver, yet still can't hear system sounds while CD/Spectrum Pro is running, there is one more thing to check. Most full-duplex drivers will operate in full-duplex mode only when the input and output formats are the same. For example, if you are recording at 44Khz 16bit and try to play a 22Khz 8bit sound, it won't work. Since most system sounds are 22Khz 8bit, you may wish to use that as the recording format in CD/Spectrum Pro. To do so, right click on the spectrum window and choose to "Configure WavIn Engine".

Some people have reported that when CDSPro is running and playing a CD, no sound comes out of the speakers. One common cause for this problem is substandard sound card drivers. The information below explains:

Some "off-brand" sound cards do not permit simultaneous listening and recording of sound. When recording starts, they stop sending the sound to the speakers. CD/Spectrum Pro uses the wave capture, or recording mechanism to determine what the sound looks like. Therefore, on these substandard cards, the sound will go silent when the spectrum is engaged. Although there is nothing we can do about this, there is something you can do - complain to your sound card manufacturer and ask for updated drivers. It is possible that they have a driver that will fix the problem. Also, keep this in mind the next time you buy a sound card - is it *really* SoundBlaster compatible? SoundBlasters are :)

To test for this condition, perform the following steps:

  1. Close CD/Spectrum Pro
  2. Open the Win95/NT Sound Recorder
  3. Open the Win95/NT CD Player
  4. Start the CD playing and note whether or not you can hear it.
  5. Start recording with the Sound Recorder and note whether the sound stops.

If in step 5 the music stops coming out of the speakers, you have one of these poor quality drivers.

Some CDROM drivers (usually real-mode drivers) can cause CD/Spectrum Pro to have very poor performance. On systems equipped with those faulty drivers, other applications become extremely sluggish whenever CD/Spectrum Pro is running. Admittedly, CD/Spectrum Pro is a demanding application. But when running on good drivers, reasonable performance should be expected even on high end 486 machines, or low end Pentiums.

If your machine has one of these slow drivers, the best thing you can do (short of buying a new CD drive, or getting better drivers) is to disable the CD player in CD/Spectrum Pro and use only the spectrum analyzer. This will allow you to continue to use The Psychedelic Screen Saver to produce visuals that sync to the beat. To disable the CD part of CD/Spectrum Pro, right-click on the “CD” indicator in the Console window. Choose “Disable CD Engine”.

You should also visit the web site of the computer, or CD driver manufacturer. They may have a newer fixed driver available. They may also have a feedback mechanism where you can let them know you are unhappy with the quality of their drivers.

Note that more often than not, the real-mode driver is a legacy driver, left over from a time when your computer had Win3.1 or DOS on it. Sometimes, such a driver is being used even when a protected-mode driver is available in Windows. In those cases, have a qualified technician upgrade your driver to the protected mode version.

Some people have reported seeing some color squares even when the CD is stopped and no music is playing. The color you see (usually in the left-most bin) is simply the baseline noise that your sound card is putting out. We don't make the sound, we just FFT it :) Sometimes, the sound is due to the digitizing of the ambient noise in the room captured by the microphone. If you have a microphone attached, look in the Mixer window, under “Record”, and you can turn off the microphone input.


CD/Spectrum Pro Tips and Tricks

General Information, Tips, and Tricks

The following tricks and tips may be helpful when using CD/Spectrum Pro.

Window Positioning

  • You can resize and move each window individually.
  • To move a window one pixel at a time, use the arrow keys.
  • To resize a window one pixel at a time, use ‘x’ to make it smaller horizontally, ‘X’ to make it bigger. Use ‘y’ to make it smaller vertically, ‘Y’ to make it bigger.
  • If you hold the control key down while dragging a window around, the rest of the windows will move as well.
  • You can align all the windows on one edge by holding the <Control> key down and hitting one of the arrow keys. All CD/Spectrum Pro windows will then align themselves with the respective side of the active window.
  • You can stretch all the windows to reach the same point by holding the <Shift> key down and hitting one of the arrow keys. All CD/Spectrum Pro windows will then stretch themselves so that they are aligned on the respective side of the active window.
  • You can lock the windows so that they move together by right-clicking on the Console window and selecting the “Lock Windows Together” menu option.
  • You can keep the windows from moving at all by right-clicking on the Console window and choosing the “Prevent Window Movement” menu option.
  • If you accidentally move a window(s) and would like to jump back to the last saved setting, press the <home> key.
  • The program remembers the last position of each of the windows. Further, you can store your favorite layouts in the Layouts window.
  • The 'Large font size' option allows you to increase the text size in small configurations, making it easier to read. Note that it is possible that this option could make the text too big for the buttons.

Information

  • Right-click on things to get context menus. You can get such a menu from almost anywhere in the program.
  • Tooltips are provided for most buttons. Let the mouse cursor linger over a button to get a small text description of what the button does.
  • The Register buttons turns into an About button and the registration reminder dialogs disappear once the program is registered.

Usage

  • Hit <Enter> to move between tracks, or <Tab> to move between fields, in the CD entry screen.
  • Click the CD taskbar icon to pause/unpause CD play.


CD/Spectrum Pro Modules

CD/Spectrum Pro is composed of several modules. This section of the help file explains each module's function, and how to interact with it.

Scope
Scope Module Window

Spectrum
Spectrum Module Window

Media Files
Media Files Module Window

CD Player
CD Player Module Window

Mixer
Mixer Module Window

Console
Console Module Window


CD/Spectrum Pro CD Info DB Module

CD Information Database Window

The new CD Information module is a replacement for the CDP Tool. The older tool is no longer shipped with CD/Spectrum Pro, and is in fact removed during installation of current versions of CDSPro.

The CD Info DB module provides the ability to manage your CD information collection. You can view, print, delete, and edit information for all your CDs in this module. The information manipulated by this module is the local copy of your CD information - the "cache" of information which you have either entered into the program, or downloaded from the CDDB. This local information is stored in the CDINFO.CDP file in the same directory as CD/Spectrum Pro.

The CD Info DB module consists of a window, which contains two main display areas, and several buttons. The display areas are a list view (top), and an edit view (bottom). The list view’s contents depends on the view mode – either it contains a list of all the CDs your computer has seen, or it contains a list of all the tracks on those CDs.

The buttons are as follows:

  • Export – This button brings up a dialog in which you can export the CD information to various format files.
  • Import – This button brings up a dialog in which you can import a CDP file, or the CD Player’s INI file.
  • Copy – This button puts the information for the selected CD(s) on the clipboard
  • Paste – This button (which is active only when data is available), pastes CD information(s) from the clipboard.
  • Edit – This button brings up the dialog in which you can edit/download/upload the CD information.
  • Delete – This button deletes the entries for the selected CD(s).
  • Select All/None – Selects all or none of the entries. Press once to select all, again for none.
  • Print – Brings up a dialog in which you can print CD information(s). If you are in CD view mode, you can print a list of CDs, or jewel cases, or pages containing CD info. If you are in Track view mode, you can print a list of tracks. Either way, there’s a font tab in which you can choose the font which be used for printing.
  • View – This button toggles between Track view mode and CD view mode.

If you have a current version of the common controls (in other words, if you’ve installed IE4 or later), the headers for the columns in the list view can be dragged and repositioned. A slider between the list and edit views can be used to allocate screen space to each view.

Clicking the headers in the list view will change the sort order for the entries in the view. For example, click the “Artist” header to sort by artist in ascending order. Click artist again to sort by artist in descending order. Click “Time” to sort by time, etc.


CD/Spectrum Pro CD Player Module

CD Player Window

The CD/Audio player in CD/Spectrum Pro has the following features:

  • Up to 100 tracks per CD.
  • Programming by track, or by segment (time within a track).
  • It reads information from the Windows CDPlayer, so if you have already entered your CD titles and tracks, CD/Spectrum Pro will read them so will not have to enter them again. However, CD/Spectrum Pro store the information in another location to allow more CDs to be stored. In fact, the number of CDs you can enter is almost unlimited.
  • It is integrated with The Psychedelic Screen Saver and The Kinemorphic 3D Screen Saver for stunning visuals that are synchronized to the music you play.

Several buttons make the CD audio player easy to use:

  • To play a track on the CD, simply click on the track’s number in the grid.
  • Repeat button. When it is depressed, play will repeat after the program or CD is finished.
  • Random button. When it is depressed, tracks will be played in a random order.
  • Program button. When it is depressed, tracks will be played in the order dictated by the program for the current CD. <note: if both the Random and Program button are selected, the programmed tracks will be played in a random order.>
  • Intro button. When it is depressed, only the beginning of each track will be played. This option affects Regular, Random, and Programmed play.
  • Eject button. This button ejects the CD. On computers with CD players that support it, this button will also suck the drawer back in. Not all CD players support this.
  • CD Info button. This button launches a dialog box used to edit the title, artist, tracks and programming on this CD. The dialog box and entering of this information are discussed below.
  • Play button. This button begins playing the CD.
  • Back button. This button moves back to the previous track. In random or programmed mode, it moves to the previous random or programmed track, respectively.
  • Forward button. This button moves forward to the next track.In random or programmed mode, it moves to the next Random or programmed track, respectively.
  • Pause button. When depressed, play will be paused.
  • Stop button. Stops play.
  • Restart button. Restarts play at the beginning of the current track.
  • # (Segment Repeater) button – hold this button down to mark off a section of a song to be repeated. Once you release the button, that section of the song will be programmed to repeat for you.

A trackbar is also provided to locate the current position within a track. Simply drag the trackbar to the desired location and play will resume there.


CD/Spectrum Pro Console Module

Console Window

CD/Spectrum Pro's console window is the "heart" of the program. It is here that you can control the other windows, the engines, and other aspects of the program. The Console contains 3 Indicators, 14 buttons, and a slider. You may right-click anywhere on the Console window to get a context menu which presents you with configuration options. On some areas of the window (over the indicators, for example), additional items appear on the menu.

The Slider is used to control the master volume. It works only when the Mixer engine is engaged.

The 3 indicators are located in the upper left corner of the Console.

  • "CD": This indicates whether or not the CD engine is engaged. Right-click this indicator to access a context menu which allows you to configure the CD engine, as well as engage/disengage it.

  • "Waves": This indicators whether or not the Waves engine is engaged. Right-click this indicator to access a context menu which allows you to configure the Waves engine, as well as engage/disengage it.

  • "Mixer": This indicators whether or not the Mixer engine is engaged. Right-click this indicator to access a context menu which allows you to configure the Mixer engine, as well as engage/disengage it.

The following buttons can be found on the Console window:

  • "V": Minimize - This button allows you to minimize the program.

  • "Power": This button is used to close CD/Spectrum Pro.

  • "CD Plyr": This button turns on and off the CD Player module. When this button is used to launch the CD Player module, the CD engine is started as needed. When closing the CD Player window, the engine is not stopped.

  • "Spectrum": This button turns on and off the Spectrum module. When this button is used to launch the Spectrum module, the Waves engine is started as needed. When closing the Spectrum window, the engine is not stopped.

  • "Mixer": This button turns on and off the Mixer module. When this button is used to launch the Mixer module, the Mixer engine is started as needed. When closing the Mixer window, the engine is not stopped.

  • "Visuals": This button turns on and off the Visuals module, in which the screen savers are hosted. When this button is used to launch the Visuals module, the Waves engine is started as needed. When closing the Visuals window, the engine is not stopped.

  • "CD Icon": This button turns on and off the CD Icon on the taskbar (tray). When this button is used to launch the CD Icon, the CD engine is started as needed. When turning off the CD Icon, the engine is not stopped.

  • "Vol Icon": This button turns on and off the Volume Icon on the taskbar (tray). When this button is used to launch the Volume Icon, the Waves engine is started as needed. When turning off the Volume Icon, the engine is not stopped.

  • "CD Info DB": This button turns on and off the CD Information Database module.

  • "Scope": This button turns on and off the Scope module. When this button is used to launch the Scope module, the Waves engine is started as needed. When closing the Scope window, the engine is not stopped.

  • "Media Files": This button turns on and off the Media Files module, where WAV and MP3 files are played. When this button is used to launch the Media Files module, the Waves engine is started as needed. When closing the Media Files window, the engine is not stopped.

  • "Layouts": This button turns on and off the Layouts module, in which you can store and recall several of your favorite layouts for CD/Spectrum Pro.

  • "Help": This button launches the online help for CD/Spectrum Pro, which if you're reading this, you've probably already figured out :)

  • "About": This button launches our Synthesoft About dialog, in which you can check for current versions, register, etc.

  • "Register": This button launches our Synthesoft About dialog, in which you can check for current versions, register, etc. Once you've purchased a registration for CD/Spectrum Pro, this button turns into an About button.

The context menu in the Console window is accessible via right-click anywhere in the window.

  • "Always on Top": Turn this option on to keep CD/Spectrum Pro visible above all other windows at all times.

  • "Taskbar Icon": Turn this option on to have an icon in your taskbar (tray) so you can control CD/Spectrum Pro via right-click on that icon.

  • "3D Look": Turns on and off the "3D" look of CD/Spectrum Pro.

  • "Prevent Window Movement": Turn this option on to prevent the component windows from accidentally moving when you click on them.

  • "Lock Windows Together": Turn this option on to cause all component windows to move together when you move one of them.

  • "Large Font Size": Turn this on to double the font size. Note that at some sizes, this may cause text to exceed the bounds of buttons, etc. Still, this can be a useful setting when CD/Spectrum Pro is used at small sizes.

  • "Prevent Screen Saver": Turn this option on to prevent the screen saver from kicking in while you're spaced out watching the scope, spectrum, or visuals windows.

  • "Colors and Background": Choose this menu option to bring up a dialog in which you can change the colors and background bitmaps used by the program.

  • "Font": Choose this menu option to bring up a dialog in which you can choose the font used by the program.

  • "Set Hotkeys": Choose this menu option to bring up a dialog in which you can set/unset the hotkeys used by the program.

  • "Layouts": This popup menu gives you quick access to your favorite stored layouts.


CD/Spectrum Pro Layouts Module

Layouts Window

CD/Spectrum Pro's Layouts window allows you to store and recall your favorite layouts. A layout is a given positioning for all the component windows in CD/Spectrum Pro. Some people store a minimal layout for use when just playing music, and a more elaborate layout for use when heavily interacting with CD/Spectrum Pro, playing with the visuals window, etc. CD/Spectrum Pro can store up to 6 layouts for you.

To Store a layout: Configure CDSPro's windows where you want them, then open the Layouts window. Click the numbered button who's layout you want to overwrite with this new layout. Click the Store button.

To recall a layout: Open the Layouts window. Click the numbered button for the layout you wish to recall. Click the Recall button.


CD/Spectrum Pro Media Files Module

MediaFiles Window

CD/Spectrum Pro includes a MediaFiles module which is capable of playing MP3 and WAV files. It also supports play lists, so you can program it to play several files in succession. You must have the Microsoft Windows Media Player installed to use CD/Spectrum Pro's Media Files module. This is because CD/Spectrum Pro uses functionality from Media Player to help it play media files.

CD/Spectrum Pro can be configured to handle WAV, MP3, PLS and M3U files for you via file associations, and change icons for those file types. Detailed control over these associations and icons is provided via context menu (right-click) on the MediaFiles window.

Decoding MP3 files is a CPU-intensive process. We would consider a 200Mhz Pentium to be an absolute minimum platform for the MP3 part of CDSPro. Note that to use the synchronized visuals, you should probably have a 400Mhz or better processor. Generally speaking, performance is better under NT than under Win95, but either should do fine.

Many factors contribute to the playback quality. If you are experiencing breakup of the sound while playing an MP3, try the following:

  • Try turning off the CD engine. Many Windows 95 computers ship with real-mode CD ROM drivers. These can cause CDSPro to become sluggish. Try turning off the CD engine by right-clicking on the CD indicator in the console window and choosing “Disengage CD Engine”.

  • Try turning down the FFT rate. To do this, right-click on the Waves indicator in the console window and choose “Configure Waves Engine”. This will bring up a dialog in which you can choose to “FFT ½ Data” or less.

  • Try closing the Spectrum window. (Or make it smaller.)

The MediaFiles module can be controlled via hotkeys also.


CD/Spectrum Pro Mixer Module

Mixer Window

The Mixer module in CD/Spectrum Pro exposes whatever standard mixer controls your sound card driver exports. The buttons on the left, titled “Record”, “Listen”, “Headphones”, “Voice”, etc determine which types of controls the Mixer is using at the time. For example, if you select the “Record” button, any supported mixer controls for recording will appear to the right. This would allow you to control which source(s) is/are being digitized ("recorded") by the ADC in your sound card, and therefore being fed to the spectrum and scope windows in CD/Spectrum Pro. Similarly, selecting “Listen” allows you to see any supported controls for controlling which sources are being fed to the speakers. Not all sound cards support all types of controls. For example, very few sound cards support anything other than “Record”, “Listen”, and “Voice” controls.

On the far right of the Mixer module is the Master Volume control, which also has bass and treble controls. On sound cards which expose standard bass and treble functionality, these sliders can be used to adjust the bass and treble of the sound coming out of the speakers. On sound cards which do not expose standard bass and treble controls, these sliders will drop back down to the bottom after being pulled up. The only way to fix this is to get better drivers for your sound card.


CD/Spectrum Pro Scope Module

Scope Window

CD/Spectrum Pro has a Scope module which displays the time domain (unprocessed) acoustic data from the sound card.

The Scope module has some view options, which are controlled via the following buttons:

  • Mono – If this option is turned on, visual output is forced to mono, even if stereo channels are available. This means there will be only one graph output. If this option is turned off, stereo/mono selection adheres to whatever is being used in the wave device.

  • Vertical – When operating in stereo mode, this option causes the two channel outputs to be positioned above/below each other. Turn this option off to see the channels graphed side by side. When in mono mode, this option has no meaning.

  • Gradient – When turned on, this option causes the lines to be drawn in a gradient color. This works best with 16bpp or higher displays, and can look bad on 8bpp or less displays. Also, this option causes a slightly higher CPU usage, based mostly on how large the Scope module window is at the time.

  • Legends – If this option is turned on, the words “Right” and “Left” are shown to indicate which channel is which. Turning this option off allows for more space to be used to show the actual data.

Further configuration, including custom color choices, can be accomplished via a right-click on the Scope window, which will bring up a menu from which the colors and other features can be controlled.


CD/Spectrum Pro Spectrum Module

Spectrum Analyzer Window

The Spectrum Analyzer employs a Fast Fourier Transform to derive the frequency spectrum of the sound as it comes off the sound card. This spectrum is then displayed in the Spectrum window as a series of graphics. Below the frequency spectrum, left and right volume are displayed.

Six buttons adorn the right side of the Spectrum Analyzer: Left & Right, Center, Split, Combined, Trails and Gradient.

  • Left & Right - When this button is selected, frequency information for both left and right channels is displayed.

  • Center - When this button is selected, monaural frequency information is displayed. This button and the Split button cannot be depressed at the same time.

  • Split - When this button is selected, the left, right and center channel frequency information is physically separated in the graph.

  • Combined - Opposite of split.

  • Trails - When this button is selected, the spectrum graphics will show trails at the peak values. Trail duration is adjusted by right-clicking on the spectrum and choosing to configure the spectrum.

  • Gradient - When this button is selected, the spectrum is displayed using a gradient of colors ranging from the low color to the high color. These colors can be selected by right-clicking on the spectrum and choosing to configure the spectrum.

A Gain slider is also provided to help adjust the gain of the signal into the spectrum analyzer. This has no effect on volume - to change volume, look to the Console or Mixer windows.

Right-click on the spectrum to get a context menu that will allow you to turn spectrum trails and hi resolution on/off, as well as perform other functions.


CD/Spectrum Pro Visuals Module

Visuals Window

CD/Spectrum Pro has a Visuals module which can host The Psychedelic Screen Saver, The Kinemorphic 3D Screen Saver, and The Hypnogenic Screen Saver to provide stunning graphics which dance to the beat of the music.

In the Visuals module you’ll find several buttons:

  • Power – as with all CDSPro modules, the power button can be used to turn off the module.

  • Psych – press this button to host The Psychedelic Screen Saver in the visuals window

  • Kine – press this button to host The Kinemorphic 3D Screen Saver in the visuals window

  • Hypno - press this button to host The Hypnogenic Screen Saver in the visuals window

  • Config – press this button to bring up the current screen saver’s configuration dialog

  • FullScrn – press this button to launch the screen saver in full screen mode

  • ColorSync – this button toggles the screen saver’s ability to synchronize color to music

  • DrawSync – this button toggles the screen saver’s ability to synchronize drawing and shapes to the music

  • Reset – press this button to reset the screen saver

  • Autogain – this button toggles the AutoGain feature of the screen saver

  • Save – press this button to save the current setting in the screen saver

  • Next – press this button to jump to the next saved setting in the screen saver

  • Capture – press and hold this button to capture series of bitmaps (like the S keyboard command)

  • Wallpaper – press this button to capture the current image and set it as your wallpaper (like the W keyboard command)


Miscellaneous Features

Miscellaneous CDSPro Features

  • CDDB (Online Internet CD Information Database)

    • Downloading from CDDB

    • Uploading to CDDB

  • Hotkeys


CD/Spectrum Pro Hotkeys

Hotkeys

CD/Spectrum Pro includes support for programmable hotkeys. You can now configure the software to respond to user-defined hotkeys, even when another application has the focus.

To do this, right-click on the Console window, and choose the menu option “Set HotKeys…”. That will bring up a dialog box in which you can turn on/off individual hotkeys, and set the keystrokes which activate each.

To turn on a hotkey, simply check the appropriate box. Then, you’ll also need to set the hotkey by clicking the “Set Hotkey” button. This will bring up a small window - then just press the key combination you wish to assign to that action.

For example, you could assign <control><alt>M to be the “mute” hotkey. Then, as long as CD/Spectrum Pro is running, pressing <control><alt>M will toggle mute, even from within other applications.


CDDB Support

CDDB Database on the Internet

  • Download from CDDB

  • Upload to CDDB

The CDDB is an online internet resource for CD track/title/artist information. CD/Spectrum Pro contains support for the CDDB - it can upload to it and download from it. For more specific instructions on how to perform either task, please see the relevant section of this help file.

Note that CDDB connectivity is available only if you are connected to the internet. The current server is shown in a text field next to the “Choose Server” button on the “CDDB on Internet” page of the CDInfo dialog. If you are having trouble with the CDDB connectivity, first try choosing a different server. Frequently, servers are down or network connections flaky. If that doesn't help, try closing the program and using the TELNET program to connect to that server and port. If you can telnet to that server/port, then CD/Spectrum Pro should have no trouble downloading CD information.

It is important to note the distinction between the CDDB and CDP. CDDB is an internet database of CD titles, and CD/Spectrum Pro supports accessing this database via the internet. CDP, on the other hand, is the means by which CD/Spectrum Pro stores your CD information locally - after it has been downloaded from the internet. This allows CD/Spectrum Pro to access your already-downloaded CD information even when you are not connected to the internet.


CDDB Downloads

CD/Spectrum Pro provides the ability to download CD information, like track/title/artist/etc, from CDDB servers on the internet. CD/Spectrum Pro can even be configured to automatically download this information each time it sees a new CD. Or, it can retrieve the information on demand for the disc currently in the drive.

Control over this set of features can be found on the "CDDB On Internet" page of the "CDInfo" dialog in the CD Player module. There, you'll find the following controls:

  • Username and Hostname: here you enter your username and the name of your machine. CD/Spectrum Pro will attempt to fill these controls with suitable defaults.

  • Automatic download checkbox: if this box is checked, CD/Spectrum Pro will automatically attempt to connect to the default server and download the information each time it sees a new CD.

  • Download button: pressing this button causes CD/Spectrum Pro to attempt to connect to the default server and download information for the currently loaded CD.

  • Default server name: This looks like: sunsite.unc.edu cddbp 888 - N035.23 W079.00 Chapel Hill, NC USAand names your default server. If the letters CDDBP are present, this server supports the CDDBP protocol. If you are behind a firewall, you should choose a server with the letters http in the name (since most firewalls proxy http).

  • Choose Server button: This button brings up a dialog with a list of servers. In that dialog, select the server you wish to use. You may also download a list of servers from the currently selected server by pressing the “Download” button in that dialog. Also in the server dialog, you can select whether or not to use a proxy for the HTTP servers. If you are behind a corporate firewall, you will probably need to check the box to use a proxy (and choose an HTTP server), and fill in the name of the proxy in the edit box provided there.

A final note about the CDDB support in CD/Spectrum Pro: Ti Kan created the CDDB concept and maintains the CDDB sites. Steve Scherf co-designed the CDDB interfaces, and wrote the CDDB server software. CD/Spectrum Pro has no control over the CDDB servers, and neither Ti nor Steve has any control over CD/Spectrum Pro. Do not contact Ti or Steve with questions about CD/Spectrum Pro - they cannot help. For technical support, please see the technical support section of our web site at:

http://www.synthesoft.com/techsupport.htm


CDDB Uploads

Uploads to CDDB

CD/Spectrum Pro will allow you to upload your CD information to the CDDB servers. This is done internally via email. CD/Spectrum Pro composes an email message and sends it to xmcd-cddb@amb.org. This email address is user-configurable. The reset button sets it back to this default value.

Uploads are done on the “Upload to CDDB” page of the CDInfo dialog. Just click on the CDInfo button in the CD Player window, then choose the “Upload to CDDB” tab.

Before you can upload to the CDDB, you must fill in the text in the “Your return email address” and “Your email server” controls. If you don’t know what to type in there, please consult whomever provides your internet account (your “ISP”).

Uploads to the CDDB are stored based on “Revision”, so you may wish to increment the revision by one before uploading. This can be done on the “CD Information” page.


Common Tasks in CD/Spectrum Pro

Common Tasks

  • How to access the CDDB from behind a firewall.

  • How to edit a program list for a CD.

  • How to make a backup of your CDP file (which contains your CD information).

  • How to turn on or turn off file associations (MP3, etc).


How to access the CDDB from behind a proxy server

How to Access the CDDB From Behind a Proxy

The information on this page pertains to the proxy and server settings available in CD/Spectrum Pro's CD Player's CD Info dialog, CDDB On Internet page.

If you intend to use a proxy server to access the CDDB, you will need to select an http CDDB server, rather than a cddbp one. You can identify the http sites from the server list as the ones with the letters "http" in the name.

If you have configured Internet Explorer to use a proxy, CD/Spectrum Pro will use the same settings. With Internet Explorer 5, it's possible to use "automatic" proxy settings - CD/Spectrum Pro cannot read these, so if you're using them you'll have to enter your proxy information into CD/Spectrum Pro manually.

To enter your settings manually, check the "Use proxy for HTTP protocol sites" checkbox. Then, enter your proxy address into the edit control on the right (ask your system administrator the proxy address).

If your proxy requires authentication, you can check the "Proxy Authentication" checkbox and enter your user and password in the appropriate edit boxes.


How to Edit a CD Program List in CD/Spectrum Pro

How to Edit the CD Program List

To edit the program play list for the current CD, bring up the CD Info dialog from the CD Player Window, and move to the Programming page.

The left side of the window shows the current program. You can move tracks up/down and delete them from the program using the buttons along the bottom.

You can insert or append tracks using the track selection area on the right side of the dialog.

And finally, you can insert or append segments using the segment selection area on the lower right side of the window. A segment starts at a track-minute-second and ends at a later track-minute-second. If your program does not play, it is probably because the music segment is invalid. Be sure to choose a segment that exists and has an ending time which is later than the starting time.


How to Backup Your CD Information

It's a good idea to backup your CDP file once in a while. That way, if you ever have a hard drive failure (knock on wood), you'll be able to recover your CD information collection without having to re-key or re-download them all.

Below are the steps to backup your CDP file:

  1. Start CD/Spectrum Pro

  2. Bring up the CD Info DB module

  3. Click the Export button

  4. Click the "CDP File (Binary)" radio button

  5. Enter an appropriate filename (this can be on a local drive, a network drive, or a floppy disk - like "a:\backup.cdp")

  6. Click Save

If you ever have a hard drive failure or otherwise lose your CDP data, you can follow these steps to restore from your backup:

  1. Start CD/Spectrum Pro

  2. Bring up the CD Info DB module

  3. Click the Import button

  4. Locate your CDP file (or type in its filename)

  5. Click Open


How to turn on or off file associations for MP3/WAV/etc files

How to Change File Associations

You can turn on and off the MP3/WAV file associations in CD/Spectrum Pro by following these instructions:

  1. Open CD/Spectrum Pro

  2. Open the MediaFile module

  3. right-click anywhere in the MediaFiles window

  4. Choose the menu option "Associations and Icons"

  5. Turn on or off the relevant checkboxes

  6. Click OK

Note that this procedure generally removes CDSPro from the association. After that, you may need to use Windows or your preferred application to reset the association to your preferrred application.


Why Register/Purchase?

Why Registration/Purchase Our Software?

If you enjoy using our programs then this is where you’ll find information on how to purchase them. In return for your purchasing the software, you will receive a license to use the software and a registration code that you can use to remove the reminder messages. You will also get a warm fuzzy feeling from knowing that you’ve helped to support our efforts to deliver high-quality mind-blowing software.

Synthesoft has contracted two companies, NorthStar Solutions and Bytech Services to take orders for our products. (Note that this means your credit card bill will show a charge from either NorthStar Solutions or Bytech Services, not from Synthesoft) After NorthStar or Bytech receive your order, they will provide you with a registration code that you can use to enter in the registration dialog to remove the registration reminder messages (and commence the warm fuzzy feeling).

Please note that neither NorthStar Solutions nor Bytech Services are the authors of this software. They are contracted by the authors solely to take orders for the software. They do not provide technical support and they cannot answer questions about anything except the purchasing process. If you need technical support, please follow the instructions in the technical support section of the documentation to obtain support directly from Synthesoft.

Also, please note that we do not ship CDs, paper documentation, or any other materials. Upon registering, you will receive a registration code which "unlocks" your copy of the software. We distribute our software only via the web, so you can always visit our site and download the latest version of the software.


The Hypnogenic Screen Saver

How To Create a Display

Despite the fact that The Hypnogenic Screen Saver ships with almost one hundred preset displays, there are plenty of effects and capabilities of the software that are not demonstrated. This section of the documentation is intended for users who would like to explore the full capabilities of the software and create their own displays.

A Display is comprised of one or more modules and a palette. The modules provide the structure of the shapes used in the display while the palette will determine the colors used to display the shapes. To select which modules are used, right click your mouse on the Module Icon (looks like a gray 'M') to bring up the Options Menu and then select the module you wish to use from the "Add Module" sub menu. Each of the modules you select will be added to the Display hierarchy. You can edit the controls for the modules you've added by selecting the module you want to edit in the Display hierarchy and the controls for that module will appear to the right.

Here is a short example demonstrating how to create a Display that uses the Bezier module...

  1. Bring up the The Hypnogenic Screen Saver configuration dialog

  2. Change to the “Edit Displays” page of the configuration dialog

  3. Remove all of the modules in the existing display (shown in the Display hierarchy window) by selecting them with a left-mouse click and then pressing the delete key on the keyboard.

  4. Right click with the mouse on the Module Icon (looks like a gray 'M') to bring up the Options Menu and then select the Bezier module from the "Add Module" sub menu.

  5. Bring up the controls for the Bezier module by selecting in the Display hierarchy window with a left-mouse click.

  6. Alter the Bezier controls in whatever way you wish.

  7. Bring up the controls for the Standard Palette by selecting "Standard" in the Display hierarchy window with a left-mouse click.

  8. Alter the Palette controls in whatever way you wish.

  9. Press the “Save As” button and save the new settings with an appropriate name.

You now have a display that uses the Bezier module


The Kinemorphic 3D Screen Saver

The Modeler

The Modeler is a tool that you can use to create your own objects and fields. You can launch the Modeler by pressing the “Field / Object Creation” button in the Main Settings window or you can press the “Create” button on the field or object definition pages for the modules that support fields and objects. When the Modeler comes up you will see three windows. The window in the upper left is the Profile window, the window in the upper right is the Display window and the window along the bottom is the Controls window. In order to create an object, you place the vertices of the profile of the object in the Profile window with a left mouse click. The profile that you draw is then moved and rotated along a path that is guided by the settings in the Settings window. The rendered version of this movement is displayed in the Display window.

Settings window:

Steps - Sets the number of steps along the path. Adding a lot of steps will make your object appear smoother, however it will also slow down the rendering time.

X Sweep - Sets the path’s total amount of rotation around the x-axis. This amount is applied incrementally to each step along the path.

Y Sweep - Sets the path’s total amount of rotation around the y-axis. This amount is applied incrementally to each step along the path.

Z Sweep - Sets the path’s total amount of rotation around the z-axis. This amount is applied incrementally to each step along the path.

X Trans - Sets the path’s total offset along the x-axis. This amount is applied incrementally to each step along the path.

Y Trans - Sets the path’s total offset along the y-axis. This amount is applied incrementally to each step along the path.

Z Trans - Sets the path’s total offset along the z-axis. This amount is applied incrementally to each step along the path.

Twist - Sets the total amount of rotation of the profile about a “pivot” point. You can set the pivot point with a right mouse click in the profile window. This amount is applied incrementally to each step along the path.

Radius X - Sets the scaling of the profile along the x-axis.

Radius Y - Sets the scaling of the profile along the x-axis.

Freq X - Sets the frequency of the oscillation of the Radius X value.

Freq Y - Sets the frequency of the oscillation of the Radius Y value.

End Style – Determines how the ends of your object are capped. A value of 0 indicates that you don’t want any capping. A value of 1 indicates that you want the ends capped while a value of 2 indicates that you would like the end connected to the beginning.

Profile window:

Moving vertices - You can move a vertex in the profile window by holding down the shift key while left clicking and dragging the vertex to its new location.

Profile Slider - You can use the slider bar at the bottom of the Profile window to set the size of the background grid. This can be helpful for guiding the placement of points.

Setting the Pivot point - Set the pivot point with a right mouse click in the profile window. The pivot point can be moved just like a vertex.

Display window:

Changing the Display view - You can left click and drag to change the rotation of the rendered object in the Display window.

Display Slider - You can use the display slider for moving the object closer or further away. Note that this does not scale the object, it only determines the distance at which it is viewed.

Menu options:

File / Load - Allows you to load existing objects and fields so that you can edit them. Note that some of the default objects are stored in a format that does not allow you to edit them.
File / Save as Object - Save the current settings to a file that can be used as an object in The Kinemorphic 3D Screen Saver. edit them.

File / Save as Field - Save the current settings to a file that can be used as a field in The Kinemorphic 3D Screen Saver. edit them.

Edit / Undo Point - Removes the last vertex that was added to a profile.

Options / Profile / Clear Profile - Clears all of the vertices and the pivot point from the profile window.
Options / Profile / Snap To Grid - Forces new vertices to appear on the closest grid intersection.

Options / Renderer / Animate - This will allow you to edit and view your settings in motion. Note that you will only see motion in an object if you are using settings that contain oscillation based or sound based control sources.

Options / Renderer / Display As Field - Display the current settings as a field.
Options / Renderer / Wireframe - Display the object as a wireframe model rather as a rendered object.
Options / Renderer / Load Texture - Load a texture file and apply it to the current object. This is useful for seeing how an object will appear with a given texture mapped onto it. Note that this is for viewing only, the texture will not be associated with the object when the object is saved.

Options / Renderer / Color - Pick the color that the object will be rendered with. Note that this is for viewing only, the color will not be associated with the object when the object is saved.

In General…

The best way to get a feel for what the controls do is to play with them. Any change to a control setting is immediately reflected in the Display window so it’s easy to see the effect of a particular control by changing it and watching what happens. While you experiment, you’ll notice that the visual effect of a particular control can change based upon the state of the other controls. This allows you to create a huge variety of shapes.

If you set any of the control sources to oscillate or to a sound based source and you have a fast system, you may want to turn on the “Animate” option under the Options menu. This will allow you to view and edit your object in motion. If CD Spectrum Pro is running and a CD is playing, you can see how your objects will be effected by the sounds.


The Kinemorphic 3D Screen Saver

Palette Designer

The custom palette editor allows you to specify a set of colors that may be saved as a *.PAL file in the “Palettes” directory. The *.PAL file may then be specified in Page 7 of the active motion module(s) so that the active motion module(s) use the saved palette colors.

Use the mouse to select a particular color or a range of colors from the palette and then use the functions listed below to manipulate them.

R / G / B - Controls how much red/green/blue is in the selected color or range of colors.

Random - Generates a random gradient of colors for the currently selected color range.

Negative - Sets each of the colors in the currently selected color range to their color negative.

Reverse - Reverses the order of the colors in the currently selected color range.

CopyTo - Copy from one color or a range of colors to another. To use CopyTo, use the mouse to select a color or range of colors as the source for the copy then press CopyTo and select a color or range of colors for the destination. When you release the left mouse button, the copy will be applied.

MergeTo - Merges from one color or a range of colors to another. To use MergeTo, use the mouse to select a color or range of colors as the source for the copy then press MergeTo and select a color or range of colors for the destination. When you release the left mouse button, the merge will be applied.

Gradient - Takes the first and last color in the selected range and generates all of the colors between them in RGB color space.

Undo - Undoes the previous operation. The undo buffer is only one entry deep so pressing undo twice is the same as not pressing it at all.

Smooth - Takes all of the colors in the selected range and modifies the RGB values so that they are more like the neighboring colors.

Rough - Randomly modifies the RGB values of the colors in the selected range by a small amount.

Shift - Swaps the red, green and blue values for the selected range. Red gets the value of green, green gets the value of blue, and blue gets the value of red.

Import - Allows you to load a palette from a file.

Export - Allows you to save the current palette to a file.

Red, Green, and Blue Masks - Prevent color operations from effecting a particular gun.

Stencil - Prevent color operations from effecting the currently selected color or range of colors.

Un-Stencil - Allows color operations to effect the currently selected color or range of colors.,


The Kinemorphic 3D Screen Saver

How To Create a Display...

Despite the fact that The Kinemorphic 3D Screen Saver ships with hundreds of preset displays, there are plenty of effects and capabilities of the software that are not demonstrated. This section of the documentation is intended for users who would like to explore the full capabilities of the software and create their own displays.

A Display is comprised of one or more modules and an environment. The modules provide the structure of the shapes used in the display while the environment will determine how lighting, textures, and backgrounds are applied. To select which modules are used, right click your mouse on the Module Icon (looks like a gray 'M') to bring up the Options Menu and then select the module you wish to use from the "Add Module" sub menu. Each of the modules you select will be added to the Display hierarchy. You can edit the controls for the modules you've added by selecting the module you want to edit in the Display hierarchy and the controls for that module will appear to the right.

Here is a short example demonstrating how to create a Display that uses the Cyclic module...

  1. Bring up the The Kinemorphic 3D Screen Saver configuration dialog

  2. Change to the “Edit Displays” page of the configuration dialog

  3. Remove all of the modules in the existing display (shown in the Display hierarchy window) by selecting them with a left-mouse click and then pressing the delete key on the keyboard.

  4. Right click with the mouse on the Module Icon (looks like a gray 'M') to bring up the Options Menu and then select the Cyclic module from the "Add Module" sub menu.

  5. Bring up the controls for the Cyclic module by selecting in the Display hierarchy window with a left-mouse click.

  6. Alter the Cyclic controls in whatever way you wish.

  7. Bring up the controls for the Environment by selecting one of the settings screens beneath it with a left-mouse click.

  8. Alter the Environment controls in whatever way you wish.

  9. Press the “Save As” button and save the new settings with an appropriate name.

You now have a display that uses the Cyclic module


The Psychedelic Screen Saver

How To Create a Display...

Despite the fact that The Psychedelic Screen Saver ships with hundreds of preset displays, there are plenty of effects and capabilities of the software that are not demonstrated. This section of the documentation is intended for users who would like to explore the full capabilities of the software and create their own displays.

A Display is comprised of one or more modules and a palette. The modules provide the structure of the shapes used in the display while the palette will determine the colors used to display the shapes. To select which modules are used, right click your mouse on the Module Icon (looks like a gray 'M') to bring up the Options Menu and then select the module you wish to use from the "Add Module" sub menu. Each of the modules you select will be added to the Display hierarchy. You can edit the controls for the modules you've added by selecting the module you want to edit in the Display hierarchy and the controls for that module will appear to the right.

Here is a short example demonstrating how to create a Display that uses the Bezier module...

  1. Bring up the The Psychedelic Screen Saver configuration dialog

  2. Change to the “Edit Displays” page of the configuration dialog

  3. Remove all of the modules in the existing display (shown in the Display hierarchy window) by selecting them with a left-mouse click and then pressing the delete key on the keyboard.

  4. Right click with the mouse on the Module Icon (looks like a gray 'M') to bring up the Options Menu and then select the Bezier module from the "Add Module" sub menu.

  5. Bring up the controls for the Bezier module by selecting in the Display hierarchy window with a left-mouse click.

  6. Alter the Bezier controls in whatever way you wish.

  7. Bring up the controls for the Standard Palette by selecting "Standard" in the Display hierarchy window with a left-mouse click.

  8. Alter the Palette controls in whatever way you wish.

  9. Press the “Save As” button and save the new settings with an appropriate name.

You now have a display that uses the Bezier module